/*! V1.3.1, © INA 2015 */
/**
 * Copyright (c) 2015 Institut National de l'Audiovisuel, INA
 * This file is part of amalia.js

 * amalia.js is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

 * Redistributions of source code, javascript and css minified versions
 * must retain the above copyright notice, this list of conditions and the following disclaimer.

 * Neither the name of the copyright holder nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.

 * You should have received a copy of the GNU General Public License
 * along with amalia.js. If not, see <http://www.gnu.org/licenses/>

 *
 * amalia.js is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 */

$.Class("fr.ina.amalia.player.BaseFramePositionCalculator",{getFrameByTc:function(a,b,c,d,e,f){var g=Math.round(Math.max(1,Math.round(a*d*c/b)/c));return{x:-Math.min(f*(Math.round(a)%c),f*(c-1)),y:-g*e+e}}},{}),fr.ina.amalia.player.plugins.PluginBase.extend("fr.ina.amalia.player.plugins.StoryboardPlugin",{classCss:"ajs-plugin plugin-storyboard",eventTypes:{}},{thumbnailOverlayCanvas:null,storyboardImageObj:null,container:null,positionCalculator:null,initialize:function(){if(this._super(),this.thumbnailOverlayCanvas=null,this.settings=$.extend({topOffset:45,framePositionCalculator:"fr.ina.amalia.player.BaseFramePositionCalculator",storyboardSourceFile:"",framePreviewWidth:160,framePreviewHeight:90,storyboardRow:36,storyboardCol:10,fadeInDuration:300,fadeOutDuration:600,fadeInEffect:"swing",fadeOutEffect:"easeInExpo",filmstrip:!0,thumbScale:1.5},this.settings.parameters||{}),""!==this.settings.storyboardSourceFile){this.container=$("<div>",{"class":this.Class.classCss});try{this.positionCalculator=eval(this.settings.framePositionCalculator+".getFrameByTc")}catch(e){this.positionCalculator=fr.ina.amalia.player.BaseFramePositionCalculator.getFrameByTc,null!==this.logger&&this.logger.warn("Set Default position calculator")}this.storyboardImageObj=new Image,this.storyboardImageObj.src=this.settings.storyboardSourceFile,this.pluginContainer.append(this.container),this.createStoryboardElement(),this.defineListeners()}},defineListeners:function(){var a=this.mediaPlayer.getMediaPlayer();a.one(fr.ina.amalia.player.PlayerEventType.TIME_CHANGE,{self:this},this.onPluginReady),a.on(fr.ina.amalia.player.PlayerEventType.START_SEEKING,{self:this},this.onStartSeeking),a.on(fr.ina.amalia.player.PlayerEventType.SEEKING,{self:this},this.onSeeking),a.on(fr.ina.amalia.player.PlayerEventType.STOP_SEEKING,{self:this},this.onStopSeeking),$(window).on("debouncedresize",{self:this},this.onWindowResize),null!==this.logger&&this.logger.trace(this.Class.fullName,"definePlayerListeners")},initializeOnLoadStart:function(){this.updateFramePreview(0)},createStoryboardElement:function(){var a=$("<div>",{"class":"preview-storyboard"}),b=$("<div>",{"class":"thumbnail"});if(b.css({bottom:this.settings.topOffset,height:this.settings.framePreviewHeight,width:this.settings.framePreviewWidth,"margin-left":-this.settings.framePreviewWidth/2,"background-image":"url("+this.settings.storyboardSourceFile+")"}),this.settings.filmstrip===!0){var c=$("<div>",{"class":"filmstrip"});c.css({bottom:this.settings.topOffset,height:this.settings.framePreviewHeight}),this.container.append(c)}var d=$("<canvas>",{"class":"thumbnail-overlay"});d.attr("width",this.settings.framePreviewWidth),d.attr("height",this.settings.framePreviewHeight),this.thumbnailOverlayCanvas=d.get(0).getContext("2d"),a.append(d),this.container.append(b),this.container.append(a),this.updateFramePreview(0)},updateFramePreview:function(a){var b=this.getVideoSize(),c=b.w,d=b.h,e=(this.container.width()-c)/2,f=(this.container.height()-d-this.settings.topOffset)/2;this.container.find(".preview-storyboard").css({width:c+"px",height:d+"px",top:f+"px",left:e+"px"});var g=this.mediaPlayer.getDuration(),h=10*a*g/1e3;if(null!==this.positionCalculator&&"undefined"!=typeof this.positionCalculator){var i=this.positionCalculator(h,g,this.settings.storyboardCol,this.settings.storyboardRow,this.settings.framePreviewHeight,this.settings.framePreviewWidth);this.container.find(".thumbnail").css({"background-position":Math.round(i.x)+"px "+Math.round(i.y)+"px"}),this.thumbnailOverlayCanvas.drawImage(this.storyboardImageObj,i.x,i.y,this.settings.framePreviewWidth*this.settings.storyboardCol,this.settings.framePreviewHeight*this.settings.storyboardRow),this.settings.filmstrip===!0&&this.updateFilmstrip(10*a)}},updateFilmstrip:function(a){var b=Math.ceil(this.container.width()/this.settings.framePreviewWidth),c=this.mediaPlayer.getDuration(),d=Math.max(0,a-b),e=Math.min(1e3,a+b);this.container.find(".filmstrip").empty();for(var f=this.container.width()/2-this.settings.framePreviewWidth/2,g=a;g>d;g--){var h=g*c/1e3,i=this.positionCalculator(h,c,this.settings.storyboardCol,this.settings.storyboardRow,this.settings.framePreviewHeight,this.settings.framePreviewWidth),j=$("<div>",{"class":"storyboard-thumbnail left"});j.css({"background-position":i.x+"px "+i.y+"px",left:f+"px",height:this.settings.framePreviewHeight,width:this.settings.framePreviewWidth,"background-image":"url("+this.settings.storyboardSourceFile+")"}),this.container.find(".filmstrip").append(j),f-=this.settings.framePreviewWidth}for(var k=this.container.width()/2-this.settings.framePreviewWidth/2,l=a;e>l;l++){var m=l*c/1e3,n=this.positionCalculator(m,c,this.settings.storyboardCol,this.settings.storyboardRow,this.settings.framePreviewHeight,this.settings.framePreviewWidth),o=$("<div>",{"class":"storyboard-thumbnail right"});o.css({"background-position":n.x+"px "+n.y+"px",left:k+"px",height:this.settings.framePreviewHeight,width:this.settings.framePreviewWidth,"background-image":"url("+this.settings.storyboardSourceFile+")"}),this.container.find(".filmstrip").append(o),k+=this.settings.framePreviewWidth}},getVideoSize:function(){var a=this.mediaPlayer.getMediaPlayer(),b=a.get(0).videoHeight,c=a.get(0).videoWidth;0===b&&(b=a.height()),0===c&&(c=a.width());var d=a.width()/c,e=a.height()/b,f=Math.min(d,e);return{w:f*c,h:f*b}},onPluginReady:function(a){a.data.self.initializeOnLoadStart()},onWindowResize:function(a){a.data.self.updateFramePreview()},onStartSeeking:function(a){a.data.self.container.fadeIn({duration:a.data.self.settings.fadeInDuration,easing:a.data.self.settings.fadeInEffect})},onSeeking:function(a,b){a.data.self.updateFramePreview(b.percentage)},onStopSeeking:function(a){a.data.self.container.fadeOut({duration:a.data.self.settings.fadeOutDuration,easing:a.data.self.settings.fadeOutEffect})}});