/*! V1.3.1, © INA 2015 */
/**
 * Copyright (c) 2015 Institut National de l'Audiovisuel, INA
 * This file is part of amalia.js

 * amalia.js is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

 * Redistributions of source code, javascript and css minified versions
 * must retain the above copyright notice, this list of conditions and the following disclaimer.

 * Neither the name of the copyright holder nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.

 * You should have received a copy of the GNU General Public License
 * along with amalia.js. If not, see <http://www.gnu.org/licenses/>

 *
 * amalia.js is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 */

$.Class("fr.ina.amalia.player.plugins.overlay.SpatialsDataParser",{},{data:null,spatials:null,settings:{},logger:null,localisationManager:null,init:function(a){this.spatials=[],this.settings=$.extend({cuepointMinDuration:0,debug:!1},a||{}),this.localisationManager=new fr.ina.amalia.player.LocalisationManager,"undefined"!=typeof fr.ina.amalia.player.log&&"undefined"!=typeof fr.ina.amalia.player.log.LogHandler&&(this.logger=new fr.ina.amalia.player.log.LogHandler({enabled:this.settings.debug}))},parserSpacialMetadata:function(a,b,c){this.data=a,this.spatials=[];for(var d=null,e=0;e<this.data.length;e++)d=this.data[e],d.hasOwnProperty("sublocalisations")&&null!==d.sublocalisations&&d.sublocalisations.hasOwnProperty("localisation")&&d.sublocalisations.localisation.length>0?this.createSpatialItem(d,b,c):d.hasOwnProperty("sublocalisations")&&null===d.sublocalisations&&d.hasOwnProperty("shape")&&null!==d.shape&&this.createSpatialItemPoint(d,b,c);return null!==this.logger&&(this.logger.trace(this.Class.fullName,"parserMetadata"),this.logger.info(this.data)),this.getData()},createSpatialItemPoint:function(a,b,c){var d=a,e=$.extend(!0,[],a);e.tc+=this.settings.cuepointMinDuration,this.addSpatial(d,e,a,c)},createSpatialItem:function(a,b,c){this.localisationManager.setLoc(a.sublocalisations.localisation);var d=this.localisationManager.getLocTc();if(null!==d){a.tcin=d.tcin,a.tcout=d.tcout;for(var e=a.sublocalisations.localisation,f=null,g=null,h=0;h<e.length;h++)null===f?f=e[h]:(g=e[h],this.addSpatial(f,g,a,b,c),f=e[h])}},addSpatial:function(a,b,c,d,e){"object"==typeof a&&"object"==typeof b&&a.hasOwnProperty("tc")&&b.hasOwnProperty("tc")?this.spatials.push({start:a,end:b,type:this.getType(a),data:c.data,label:c.label,thumb:c.thumb,tcin:"string"==typeof a.tc?fr.ina.amalia.player.helpers.UtilitiesHelper.convertHourToSeconde(a.tc):a.tc,tcout:"string"==typeof b.tc?fr.ina.amalia.player.helpers.UtilitiesHelper.convertHourToSeconde(b.tc):b.tc,refLoc:c,metadataId:d,color:e}):null!==this.logger&&(this.logger.warn(this.Class.fullName+": Error to add spatial"),this.logger.warn([a,b]))},getType:function(a){return a.hasOwnProperty("shape")&&null!==a.shape&&a.shape.hasOwnProperty("t")&&"string"==typeof a.shape.t?a.shape.t.toString():"rectangle"},getData:function(){return this.spatials}}),$.Class("fr.ina.amalia.player.plugins.overlay.DrawBase",{classCss:"draw-base",eventTypes:{CLICK:"fr.ina.amalia.player.plugins.overlay.DrawBase.eventTypes.CLICK"}},{settings:{},logger:null,container:null,mediaPlayer:null,element:null,labelElement:null,data:null,paper:null,shape:null,localisationManager:null,overlayManager:null,init:function(a,b,c,d){if(this.mediaPlayer=b,this.data=c,this.overlayManager=d,this.localisationManager=new fr.ina.amalia.player.LocalisationManager,this.settings=$.extend({debug:!1,container:null,canvas:null,demo:!1,editable:!1,metadataId:"",style:{fill:"#00CCFF",strokeWidth:1,stroke:"#000",fillOpacity:0,strokeDasharray:"- "},labelStyle:{font:"12px Arial",opacity:1,fill:"#00CCFF",strokeWidth:1,stroke:"#000",fillOpacity:0}},a||{}),this.paper=this.settings.canvas,this.container=this.settings.container,"undefined"!=typeof fr.ina.amalia.player.log&&"undefined"!=typeof fr.ina.amalia.player.log.LogHandler&&(this.logger=new fr.ina.amalia.player.log.LogHandler({enabled:this.settings.debug})),"object"==typeof this.settings.canvas&&null!==this.data&&this.initialize(),null!==this.mediaPlayer){var e=this.mediaPlayer.getMediaPlayer();e.on(fr.ina.amalia.player.PlayerEventType.PLAYING,{self:this},this.onPlay),e.on(fr.ina.amalia.player.PlayerEventType.PAUSED,{self:this},this.onPause),e.on(fr.ina.amalia.player.PlayerEventType.SEEK,{self:this},this.onSeek)}},initialize:function(){null!==this.logger&&(this.logger.trace(this.Class.fullName,"initialize"),this.logger.info(this.data))},getStyle:function(){return{fill:this.settings.style.fill,stroke:this.data.hasOwnProperty("color")&&""!==this.data.color&&"undefined"!=typeof this.data.color?this.data.color:this.settings.style.stroke,"stroke-width":this.settings.style.strokeWidth,"fill-opacity":this.settings.style.fillOpacity,"stroke-dasharray":this.settings.style.strokeDasharray}},getLabelStyle:function(){return{font:this.settings.labelStyle.font,opacity:this.settings.labelStyle.opacity,fill:this.settings.labelStyle.fill,stroke:this.settings.labelStyle.stroke,"stroke-width":this.settings.labelStyle.strokeWidth,"fill-opacity":this.settings.labelStyle.fillOpacity}},plugFreeTransformObject:function(){if(null!==this.element.attrs){var a={keepRatio:!1,fill:"black",draw:["bbox","circle"],range:{scale:[0,99999]}},b=this.settings.canvas.freeTransform(this.element,a,this.onTransformationCallback);b.self=this}},unplugFreeTransformObject:function(){this.element.hasOwnProperty("freeTransform")&&null!==this.element.freeTransform&&this.element.freeTransform.unplug()},updatePosShape:function(a){var b=this.mediaPlayer,c=b.getCurrentTime();if(this.data.hasOwnProperty("refLoc")&&"object"==typeof this.data.refLoc&&this.data.refLoc.tc!==c){if(this.data.refLoc.hasOwnProperty("sublocalisations")===!1||null===this.data.refLoc.sublocalisations||"object"!=typeof this.data.refLoc.sublocalisations){this.data.refLoc.sublocalisations={localisation:[]};var d=parseFloat(this.data.refLoc.tc),e=jQuery.extend({},{tc:d,shape:this.data.refLoc.shape,tclevel:1});this.data.refLoc.sublocalisations.localisation.push(e),this.data.refLoc.shape=null,c>d?(this.data.refLoc.tcin=d,this.data.refLoc.tc=d,this.data.refLoc.tcout=c):(this.data.refLoc.tcin=c,this.data.refLoc.tc=c,this.data.refLoc.tcout=d)}var f=$.grep(this.data.refLoc.sublocalisations.localisation,function(a){return a.tc===c});f.length>0?f[0].shape=a:this.data.refLoc.sublocalisations.localisation.push({tc:c,shape:a,tclevel:1}),b.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:this.data.hasOwnProperty("metadataId")?this.data.metadataId:b.getSelectedMetadataId()})}else this.data.hasOwnProperty("refLoc")&&"object"==typeof this.data.refLoc&&(this.data.refLoc.shape=a,b.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:this.data.hasOwnProperty("metadataId")?this.data.metadataId:b.getSelectedMetadataId()}))},onClick:function(a){null!==a.data.self.container&&a.data.self.container.trigger(fr.ina.amalia.player.plugins.overlay.DrawBase.eventTypes.CLICK,{tcin:a.data.tcin,tcout:a.data.tcout,data:a.data.data})},onPlay:function(a){null!==a.data.self.element&&(a.data.self.settings.editable===!0&&a.data.self.unplugFreeTransformObject(),a.data.self.element.resume(),null!==a.data.self.labelElement&&a.data.self.labelElement.resume())},onPause:function(a){null!==a.data.self.element&&(a.data.self.element.pause(),null!==a.data.self.labelElement&&a.data.self.labelElement.pause(),a.data.self.settings.editable===!0&&(a.data.self.unplugFreeTransformObject(),a.data.self.plugFreeTransformObject()))},onSeek:function(a){a.data.self.settings.editable===!0&&a.data.self.unplugFreeTransformObject(),a.data.self.element.remove(),null!==a.data.self.labelElement&&a.data.self.labelElement.remove()},onEndOfAnimation:function(){this.data.hasOwnProperty("self")&&this.data.self.settings.editable===!0&&this.data("self").unplugFreeTransformObject(),this.data("demo")!==!0&&this.remove()},onTransformationCallback:function(a,b){if(-1===$.inArray("init",b)&&a.self.overlayManager.getEraseState()===!0){if(a.self.data.refLoc.hasOwnProperty("sublocalisations")&&null!==a.self.data.refLoc.sublocalisations&&a.self.data.refLoc.sublocalisations.hasOwnProperty("localisation")&&null!==a.self.data.refLoc.sublocalisations.localisation)for(var c=a.self.data.refLoc.sublocalisations.localisation,d=0;d<c.length;d++){var e=c[d];e.tc===a.self.data.tcout&&c.splice(d,1)}else a.self.data.refLoc["delete"]=!0,a.self.data.refLoc.tc=null,a.self.data.refLoc.tcin=null;a.unplug(),a.subject.remove(),a.self.localisationManager.updateLocBlock(a.self.mediaPlayer.getMetadataById(a.self.data.metadataId)),a.self.mediaPlayer.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:a.self.data.hasOwnProperty("metadataId")?a.self.data.metadataId:a.self.mediaPlayer.getSelectedMetadataId()}),a.self.overlayManager.setEraseState(!1)}else if($.inArray("drag end",b)>-1||$.inArray("scale end",b)>-1){var f={c:{x:parseFloat((a.attrs.center.x+a.attrs.translate.x)/a.self.paper.width),y:parseFloat((a.attrs.center.y+a.attrs.translate.y)/a.self.paper.height)},rx:parseFloat(a.attrs.size.x*a.attrs.scale.x/2/a.self.paper.width),ry:parseFloat(a.attrs.size.y*a.attrs.scale.y/2/a.self.paper.height),o:parseFloat(a.attrs.rotate),t:a.self.shape};a.self.updatePosShape(f)}}}),fr.ina.amalia.player.plugins.overlay.DrawBase.extend("fr.ina.amalia.player.plugins.overlay.DrawRect",{classCss:"spatial-base"},{initialize:function(){if(this.shape="rectangle",this.data.hasOwnProperty("tcin")&&this.data.hasOwnProperty("tcout")&&this.data.hasOwnProperty("start")&&this.data.hasOwnProperty("end")){var a=this.getStyle(),b=this.getRectData(this.data.start),c=this.getRectData(this.data.end),d=parseFloat(this.data.tcout-this.mediaPlayer.getCurrentTime()),e=this.data.hasOwnProperty("label")?this.data.label:"";if(null!==b&&null!==c){this.element=this.settings.canvas.rect(b.x,b.y,b.w,b.h),this.element.attr(a),this.element.transform("r"+Math.round(b.o/Math.PI*180)),this.element.attr({cursor:"pointer"}),this.element.data("demo",this.settings.demo),this.element.data("self",this),this.settings.labels===!0&&""!==e&&(this.labelElement=this.settings.canvas.text(b.x,b.y,e).attr(this.getLabelStyle()));var f={x:c.x,y:c.y,width:c.w,height:c.h,transform:"r"+Math.round(c.o/Math.PI*180)};if(this.element.stop().animate(f,1e3*d,"",this.onEndOfAnimation),null!==this.labelElement){var g={x:c.x,y:c.y};this.labelElement.stop().animate(g,1e3*d,"",this.onEndOfAnimation)}return this.mediaPlayer.isPaused()&&(this.element.pause(),null!==this.labelElement&&this.labelElement.pause()),this.settings.editable===!0&&this.mediaPlayer.isPaused()&&this.plugFreeTransformObject(),$(this.element.node).on("click",{self:this,data:this.data,tcin:this.data.tcin,tcout:this.data.tcout},this.onClick),!0}}null!==this.logger&&(this.logger.error("Error :"+this.Class.fullName+":initialize"),this.logger.error(this.data))},getRectData:function(a){var b={x:0,y:0,w:0,h:0,r:0,o:0};try{var c=this.settings.canvas.width,d=this.settings.canvas.height;if(a.hasOwnProperty("shape"))return b.w=a.shape.rx*c*2,b.h=a.shape.ry*d*2,b.x=a.shape.c.x*c-b.w/2,b.y=a.shape.c.y*d-b.h/2,b.o=a.shape.o,b}catch(e){null!==this.logger&&(this.logger.error("Error to parse data GetRectData "),this.logger.error(a))}return null}}),fr.ina.amalia.player.plugins.overlay.DrawBase.extend("fr.ina.amalia.player.plugins.overlay.DrawEllipse",{classCss:"spatial-ellipse"},{initialize:function(){if(this.shape="ellipse",this.data.hasOwnProperty("tcin")&&this.data.hasOwnProperty("tcout")&&this.data.hasOwnProperty("start")&&this.data.hasOwnProperty("end")){var a=this.getStyle(),b=this.getEllipseData(this.data.start),c=this.getEllipseData(this.data.end),d=parseFloat(this.data.tcout-this.mediaPlayer.getCurrentTime()),e=this.data.hasOwnProperty("label")?this.data.label:"";if(null!==b&&null!==c){this.element=this.settings.canvas.ellipse(b.cx,b.cy,b.rx,b.ry),this.element.attr(a),this.element.transform("r"+Math.round(b.o/Math.PI*180)),this.element.attr({cursor:"pointer"}),this.settings.labels===!0&&""!==e&&(this.labelElement=this.settings.canvas.text(b.cx,b.cy,e).attr(this.getLabelStyle()));var f={cx:c.cx,cy:c.cy,rx:c.rx,ry:c.ry,transform:"r"+Math.round(c.o/Math.PI*180)};if(this.element.stop().animate(f,1e3*d,"",this.onEndOfAnimation),null!==this.labelElement){var g={x:c.cx,y:c.cy};this.labelElement.stop().animate(g,1e3*d,"",this.onEndOfAnimation)}return this.mediaPlayer.isPaused()&&this.element.pause(),$(this.element.node).on("click",{self:this,data:this.data,tcin:this.data.tcin,tcout:this.data.tcout},this.onClick),!0}}null!==this.logger&&(this.logger.error("Error :"+this.Class.fullName+":initialize"),this.logger.error(this.data))},getEllipseData:function(a){var b={x:0,y:0,rx:0,ry:0,o:0};try{var c=this.settings.canvas.width,d=this.settings.canvas.height;if(a.hasOwnProperty("shape"))return b.cx=a.shape.c.x*c,b.cy=a.shape.c.y*d,b.rx=a.shape.rx*c,b.ry=a.shape.ry*d,b.o=a.shape.o,b}catch(e){null!==this.logger&&(this.logger.error("Error to parse data getEllipseData"),this.logger.error(a))}return null}}),fr.ina.amalia.player.plugins.PluginBaseMultiBlocks.extend("fr.ina.amalia.player.plugins.OverlayPlugin",{classCss:"ajs-plugin plugin-overlay",eventTypes:{CLICK:"fr.ina.amalia.player.plugins.OverlayPlugin.eventTypes.CLICK"}},{spatialsDataParser:null,spatialsData:null,seekSpatialsData:null,container:null,canvas:null,selectedMetadataId:"",metadataManager:null,eraseState:!1,selectedShape:null,doDraw:!1,drawing:!1,drawingHandler:null,localisationManager:null,initialize:function(){this.listOfMetadataTypes=[],this.notManagedMetadataIds=[],this.managedMetadataIds=[],this.doDraw=!1,this.drawing=!1,this.settings=$.extend({offsetTime:.5,metadataId:"",editable:!1,defaultSelectedShape:"rectangle",lineDisplayMode:fr.ina.amalia.player.plugins.PluginBaseMultiBlocks.METADATA_DISPLAY_TYPE.STATIC,callbacks:{}},this.settings.parameters||{}),this.container=$("<div>",{"class":this.Class.classCss}),this.pluginContainer.append(this.container),this.setSelectedShape(this.settings.defaultSelectedShape),this.canvas=null,this.spatialsData=null,this.spatialsDataParser=new fr.ina.amalia.player.plugins.overlay.SpatialsDataParser(this.settings),this.localisationManager=new fr.ina.amalia.player.LocalisationManager,this.definePlayerListeners()},initializeOnLoadStart:function(){this.updateBlockData(),this.pluginContainer.append(this.container),this.createCanvas(),this.createContextMenuOption(),this.metadataManager=this.mediaPlayer.getMetadataManager(),this.settings.editable===!0&&(this.createToolBoxCtrl(),this.createErrorContainer(),this.createDoDrawRect(),this.container.on("mousedown",{self:this},this.onMouseDown),this.container.on("mouseup",{self:this},this.onMouseUp),this.container.on("mousemove",{self:this},this.onMouseMove))},definePlayerListeners:function(){var a=this.mediaPlayer.getMediaPlayer();a.one(fr.ina.amalia.player.PlayerEventType.PLUGIN_READY,{self:this},this.onFirstTimechange),a.on(fr.ina.amalia.player.PlayerEventType.ENDEN,{self:this},this.onEnd),a.on(fr.ina.amalia.player.PlayerEventType.TIME_CHANGE,{self:this},this.onTimeupdate),a.on(fr.ina.amalia.player.PlayerEventType.SEEK,{self:this},this.onSeek),$(window).on("debouncedresize",{self:this},this.onWindowResize),a.on(fr.ina.amalia.player.PlayerEventType.SELECTED_METADATA_CHANGE,{self:this},this.onSelectedMetadataChange),a.on(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{self:this},this.onDataChange),a.on(fr.ina.amalia.player.PlayerEventType.BIND_METADATA,{self:this},this.onBindMetadata),a.on(fr.ina.amalia.player.PlayerEventType.UNBIND_METADATA,{self:this},this.onUnBindMetadata),null!==this.logger&&this.logger.trace(this.Class.fullName,"definePlayerListeners")},createContextMenuOption:function(){var a=this.mediaPlayer.addMenuItemWithLink(fr.ina.amalia.player.PlayerMessage.PLUGIN_OVERLAY_CONTEXT_MENU_ENABLED_DISABLED_PLUGIN,"#","presentation");"object"==typeof a&&$(a).on("click",{self:this},function(a){a.preventDefault(),a.data.self.changeDisplayState()})},isValidMetadataType:function(){var a=this.getMetadataType();return a===fr.ina.amalia.player.PluginBindingManager.dataTypes.VISUAL_TRACKING||a===fr.ina.amalia.player.PluginBindingManager.dataTypes.VISUAL_DETECTION},changeDisplayState:function(){this.container.is(":visible")?this.container.hide():this.container.show()},updateBlockData:function(){if(""!==this.settings.metadataId)this.spatialsData=this.updateMetadata(this.settings.metadataId,0,this.mediaPlayer.getDuration());else{var a=this.getBindIds();this.spatialsData=[];for(var b=0;b<a.length;b++){var c=this.mediaPlayer.getBlockMetadata(a[b]),d="";null!==c&&c.hasOwnProperty("viewControl")&&null!==c.viewControl&&(d=c.viewControl.hasOwnProperty("color")?c.viewControl.color:"");var e=this.updateMetadata(a[b],0,this.mediaPlayer.getDuration(),d);this.spatialsData=this.spatialsData.concat(e)}}},updateMetadata:function(a,b,c,d){var e=this.mediaPlayer.getMetadataWithRange(a,b,c);return this.spatialsDataParser.parserSpacialMetadata(e,a,d)},updatePos:function(a){if("undefined"!=typeof this.spatialsData&&null!==this.spatialsData&&"object"==typeof this.spatialsData&&this.spatialsData.length>0){a=parseFloat(a);var b=this.mediaPlayer.isPaused(),c=b?this.getSeekDisplayItems(a):this.getDisplayItems(a);c.length>0&&this.createObject(c,b)}},getDisplayItems:function(a){for(var b=null,c=[],d=0;d<this.spatialsData.length;d++)b=this.spatialsData[d],"object"==typeof b&&b.hasOwnProperty("tcin")&&a>=parseFloat(b.tcin)&&a<=parseFloat(b.tcin)+this.settings.offsetTime&&(c.push(b),this.spatialsData.splice(d,1));return c},createCanvas:function(){var a=this.getVideoSize(),b=a.w,c=a.h;this.canvas=new Raphael(this.container.get(0),b,c),this.canvas.canvas.className.baseVal="overlay-canvas",this.updateCanvasPosition(),this.container.on(fr.ina.amalia.player.plugins.overlay.DrawBase.eventTypes.CLICK,{self:this},this.onClickAtObject),null!==this.logger&&this.logger.trace(this.Class.fullName,"CreateCanvas width:"+b+" height: "+c)},getVideoSize:function(){var a=this.mediaPlayer.getMediaPlayer(),b=a.get(0).videoHeight,c=a.get(0).videoWidth,d=a.width()/c,e=a.height()/b,f=Math.min(d,e);return{w:f*c,h:f*b}},updateCanvasPosition:function(){var a=this.getVideoSize(),b=this.mediaPlayer.getMediaPlayer();this.container.find(".overlay-canvas").css({left:(b.width()-a.w)/2,top:(b.height()-a.h)/2})},createObject:function(a){if(null!==a&&"undefined"!=typeof a){var b=$.extend({canvas:this.canvas,container:this.container,debug:this.settings.debug,color:""},this.settings||{}),c=null,d=null;if("object"==typeof a&&a.length>0)for(var e=0;e<a.length;++e)switch(c=a[e],b.editable=this.settings.editable===!0&&c.metadataId===this.getSelectedMetadataId(),c.hasOwnProperty("type")?c.type:""){case"rectangle":d=new fr.ina.amalia.player.plugins.overlay.DrawRect(b,this.mediaPlayer,a[e],this);break;case"ellipse":d=new fr.ina.amalia.player.plugins.overlay.DrawEllipse(b,this.mediaPlayer,a[e],this);break;default:null!==this.logger&&this.logger.warn(this.Class.fullName+": L'objet ne peut pas être interpreté.")}}else this.logger.error("Error to create object"),this.logger.error(a);return null},clearCanvas:function(){this.canvas.remove(),this.createCanvas(),this.spatialsData=this.spatialsDataParser.getData(),this.createDoDrawRect(),null!==this.logger&&this.logger.trace(this.Class.fullName,"clearCanvas : "+this.spatialsData.length)},createToolBoxCtrl:function(){var a=$("<div>",{"class":"toolbox"}).draggable({containment:"parent",scroll:!1});a.css("position","absolute"),a.append(this.createAddToolboxItem()),a.append(this.createEraserToolboxItem()),a.append(this.createNavCtrlToolboxItem()),a.find(".add-shapebox .add div.add-ctrl span.ctrl").on("click",{self:this},function(a){a.data.self.openAddShape()}),a.find(".add-shapebox .add div.add-selectFormBox div.close-box span.ctrl").on("click",{self:this},function(a){a.data.self.closeAddShape()}),a.find(".erase-box span.ctrl").on("click",{self:this},this.onClickToEraser),this.container.append(a)},createAddToolboxItem:function(){var a=$("<div>",{"class":"add-shapebox"}),b=$("<div>",{"class":"add"}),c=$("<div>",{"class":"add-ctrl"}),d=$("<span>",{"class":"ctrl ajs-icon ajs-icon-plus"});c.append(d),b.append(c);var e=$("<div>",{"class":"add-selectFormBox"}).hide(),f=$("<div>",{"class":"close-box"}),g=$("<span>",{"class":"ctrl ajs-icon ajs-icon-remove"});f.append(g),e.append(f);var h=$("<div>",{"class":"add-shape-msg",text:"Sélectionnez une forme"});e.append(h);var i=$("<div>",{"class":"add-shape-rectangle"}),j=$("<span>",{"class":"ajs-icon ajs-icon-stop"}).on("click",{self:this},function(a){a.data.self.setSelectedShape("rectangle")});return i.append(j),e.append(i),b.append(e),a.append(b),a},createEraserToolboxItem:function(){var a=$("<div>",{"class":"erase-box"}),b=$("<span>",{"class":"ctrl ajs-icon ajs-icon-eraser"});return a.append(b),a},createNavCtrlToolboxItem:function(){var a=$("<div>",{"class":"nav-box"}),b=$("<div>",{"class":"nav-left-box"}),c=$("<span>",{"class":"ctrl ajs-icon ajs-icon-chevron-left"});b.append(c),a.append(b);var d=$("<div>",{"class":"nav-right-box"}),e=$("<span>",{"class":"ctrl ajs-icon ajs-icon-chevron-right"});return d.append(e),a.append(d).hide(),a},createErrorContainer:function(){var a=$("<div>",{"class":"error"}).hide();this.container.append(a)},setErrorMsg:function(a){var b=$("<span>",{"class":"msg",text:a});this.container.find(".error").empty().append(b).show()},clearErrorMsg:function(){this.container.find(".error").empty().hide()},openAddShape:function(){if(this.startDraw()){var a=this.container.find(".toolbox");a.find(".add .add-ctrl").hide(),a.find(".add .add-selectFormBox").show(),a.find(".add-selectFormBox div").removeClass("on"),a.find(".add-selectFormBox div.add-shape-"+this.selectedShape).addClass("on"),a.find(".erase-box").hide()}},closeAddShape:function(){var a=this.container.find(".toolbox");a.find(".add .add-selectFormBox").hide(),a.find(".add div.add-ctrl").show(),a.find(".erase-box").show(),this.endDraw()},getEraseState:function(){return this.eraseState},setEraseState:function(a){this.eraseState=a,this.settings.eraseState=a,this.container.toggleClass("eraser",a),this.container.find(".toolbox").find(".erase-box").toggleClass("on",a)},setSelectedShape:function(a){$.inArray(a,this.listOfShapes)>-1?this.selectedShape=a:this.selectedShape=this.settings.defaultSelectedShape;var b=this.container.find(".toolbox");b.find(".add-selectFormBox div").removeClass("on"),b.find(".add-selectFormBox div.add-shape-"+this.selectedShape).addClass("on")},getSelectedShape:function(){return this.selectedShape},startDraw:function(){if(null!==this.getSelectedMetadataId()){if(this.isValidMetadataType())return this.doDraw=!0,this.container.addClass("draw"),this.setEraseState(!1),this.mediaPlayer.pause(),!0;this.setErrorMsg(fr.ina.amalia.player.PlayerMessage.PLUGIN_METADATA_ITEMS_EDITOR_NEED_METADTA_ITEM_TYPE)}else this.setErrorMsg(fr.ina.amalia.player.PlayerMessage.PLUGIN_METADATA_ITEMS_EDITOR_NEED_METADTA);return!1},getMetadataType:function(){var a=this.metadataManager.getBlockMetadata(this.getSelectedMetadataId());return null!==a&&""!==a.type?a.type:null},getSelectedMetadataId:function(){return this.selectedMetadataId},setSelectedMetadataId:function(a){"string"==typeof a?(this.selectedMetadataId=a,this.clearErrorMsg()):this.selectedMetadataId=null},endDraw:function(){this.doDraw=!1,this.container.removeClass("draw"),this.container.find(".toolbox .add-ctrl").removeClass("on"),this.setEraseState(!1)},createDoDrawRect:function(){this.drawingHandler=this.canvas.rect(0,0,10,10),this.drawingHandler.fig="DoDrawRect",this.drawingHandler.attr({stroke:"#3cf"}),this.drawingHandler.toFront(),this.drawingHandler.hide(),this.drawingHandler.doDraw={}},drawShape:function(a,b,c,d,e){var f=null;if("ellipse"===a?(f=this.canvas.ellipse(b,c,d,e),f.fig="ellipse"):(f=this.canvas.rect(b,c,d,e),f.fig="rectangle"),f){f.objectId="spatial_"+fr.ina.amalia.player.helpers.UtilitiesHelper.generateUUID(),f.attr({stroke:"#3cf"}),f.translate=[0,0],f.scale=[1,1],f.rotate=0,f.data.self=this;var g={keepRatio:!1,fill:"black",draw:["bbox","circle"],range:{scale:[0,99999]}},h=this.canvas.freeTransform(f,g,this.onTransformationCallback);return h.self=this,f}return null},createDataShape:function(a,b){var c=this.mediaPlayer,d={shape:b,sublocalisations:null,tclevel:0,thumb:null,type:null,tc:c.getCurrentTime(),tcin:c.getCurrentTime(),label:a.hasOwnProperty("objectId")?a.objectId:""};return a.data=d,d.refLoc=c.addMetadataItem(this.getSelectedMetadataId(),d),d},refreshSeekData:function(){if(""!==this.settings.metadataId)this.seekSpatialsData=this.updateMetadata(this.settings.metadataId,0,this.mediaPlayer.getDuration());else{var a=this.getBindIds();this.seekSpatialsData=[];for(var b=0;b<a.length;b++){var c=this.updateMetadata(a[b],0,this.mediaPlayer.getDuration());this.seekSpatialsData=this.seekSpatialsData.concat(c)}}},getSeekDisplayItems:function(a){var b=null,c=[];if(null!==this.seekSpatialsData)for(var d=0;d<this.seekSpatialsData.length;d++)if(b=this.seekSpatialsData[d],"object"==typeof b&&b.hasOwnProperty("tcin")&&b.hasOwnProperty("tcout")&&a>=parseFloat(b.tcin)&&a<=parseFloat(b.tcout)){b.start=jQuery.extend(!0,{},this.seekSpatialsData[d].start);var e=this.spatialInterpolation(b.start,b.end,this.mediaPlayer.getCurrentTime());b.start.shape.c.x=e.x,b.start.shape.c.y=e.y,b.start.shape.rx=e.rx,b.start.shape.ry=e.ry,c.push(b),this.seekSpatialsData.splice(d,1)}return c},linearInterpolation:function(a,b,c,d,e){return a+(b-a)/(d-c)*(e-c)},spatialInterpolation:function(a,b,c){var d=this.linearInterpolation(a.shape.c.x,b.shape.c.x,a.tc,b.tc,c),e=this.linearInterpolation(a.shape.c.y,b.shape.c.y,a.tc,b.tc,c),f=this.linearInterpolation(a.shape.rx,b.shape.rx,a.tc,b.tc,c),g=this.linearInterpolation(a.shape.ry,b.shape.ry,a.tc,b.tc,c);return{x:d,y:e,rx:f,ry:g}},onWindowResize:function(a){var b=a.data.self.getVideoSize(),c=b.w,d=b.h;null!==this.canvas&&(a.data.self.clearCanvas(),a.data.self.canvas.setSize(c,d),a.data.self.updateCanvasPosition()),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onWindowResize W: "+c+" H:"+d)},onFirstTimechange:function(a){a.data.self.initializeOnLoadStart(),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"timechange")},onEnd:function(a){a.data.self.clearCanvas()},onTimeupdate:function(a,b){a.data.self.updatePos(parseFloat(b.currentTime))},onSeek:function(a){a.data.self.clearCanvas(),a.data.self.updateBlockData(),a.data.self.refreshSeekData()},onClickAtObject:function(event,data){if("undefined"!=typeof event.data.self.settings.parameters)try{eval(event.data.self.settings.parameters.callbacks.click+"(data)")}catch(e){null!==event.data.self.logger&&event.data.self.logger.warn("Send callback failed.")}null!==event.data.self.logger&&(event.data.self.logger.info(event.data.self.Class.fullName,"onClickAtObject"),event.data.self.logger.warn(event.data),event.data.self.logger.warn(data))},onSelectedMetadataChange:function(a,b){null!==b.metadataId&&a.data.self.setSelectedMetadataId(b.metadataId),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onSelectedMetadataChange id:"+b.metadataId)},onDataChange:function(a,b){a.data.self.loadDataStarted===!1?a.data.self.isManagedMetadataId(b.id)?a.data.self.isBoundMetadataId(b.id)&&a.data.self.updateBlockData():a.data.self.bindMetadataId(b.id):null!==a.data.self.dataToDeal&&a.data.self.settings.lineDisplayMode>1&&a.data.self.dataToDeal.push(b.id)},onBeginDataChange:function(a){a.data.self.loadDataStarted=!0;for(var b=0;b<a.data.self.dataToDeal.length;b++)a.data.self.bindMetadataId(a.data.self.dataToDeal[b]);a.data.self.dataToDeal=[],a.data.self.updateBlockData(),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onBeginDataChange")},onEndDataChange:function(a){a.data.self.loadDataStarted=!1,a.data.self.updateBlockData(),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onEndDataChange")},onBindMetadata:function(a,b){a.data.self.bindMetadataId(b.id),a.data.self.updateBlockData(),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onBindMetadata Id:"+b.id)},onUnBindMetadata:function(a,b){a.data.self.unbindMetadataId(b.id),a.data.self.updateBlockData(),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onUnBindMetadata Id: "+b.id)},onMouseDown:function(a){if(a.data.self.doDraw===!0&&a.ctrlKey===!0&&a.data.self.drawing===!1||a.shiftKey===!0&&a.ctrlKey===!0){var b=a.data.self.getVideoSize(),c=Math.max(0,a.offsetX-(a.data.self.container.height()-45-b.h)/2),d=Math.max(0,a.offsetY-(a.data.self.container.height()-b.h)/2);a.data.self.drawing=!0,a.data.self.drawingHandler.show(),a.data.self.drawingHandler.toFront(),a.data.self.drawingHandler.doDraw.startX=c,a.data.self.drawingHandler.doDraw.startY=d+20,a.data.self.drawingHandler.attr("x",a.data.self.drawingHandler.doDraw.startX),a.data.self.drawingHandler.attr("y",a.data.self.drawingHandler.doDraw.startY)}},onMouseUp:function(a){if(a.data.self.drawing===!0){a.data.self.drawing=!1,a.data.self.drawingHandler.hide();var b=Math.max(0,a.data.self.drawingHandler.doDraw.endX-a.data.self.drawingHandler.doDraw.startX),c=Math.max(0,a.data.self.drawingHandler.doDraw.endY-a.data.self.drawingHandler.doDraw.startY),d=a.data.self.drawShape("rectangle",a.data.self.drawingHandler.doDraw.startX,a.data.self.drawingHandler.doDraw.startY,b,c);if(null!==d){var e={c:{x:parseFloat((a.data.self.drawingHandler.doDraw.startX+a.data.self.drawingHandler.doDraw.endX)/2/a.data.self.canvas.width),y:parseFloat((a.data.self.drawingHandler.doDraw.startY+a.data.self.drawingHandler.doDraw.endY)/2/a.data.self.canvas.height)},rx:parseFloat(b/a.data.self.canvas.width/2),ry:parseFloat(c/a.data.self.canvas.height/2),o:0,t:a.data.self.getSelectedShape()};a.data.self.createDataShape(d,e)}}},onMouseMove:function(a){if(a.data.self.drawing===!0){var b=a.data.self.getVideoSize(),c=Math.max(0,a.offsetX-(a.data.self.container.height()-45-b.h)/2),d=Math.max(0,a.offsetY-(a.data.self.container.height()-b.h)/2),e=Math.max(0,c-a.data.self.drawingHandler.doDraw.startX),f=Math.max(0,d-a.data.self.drawingHandler.doDraw.startY);a.data.self.drawingHandler.doDraw.endX=c,a.data.self.drawingHandler.doDraw.endY=d,a.data.self.drawingHandler.attr("width",e),a.data.self.drawingHandler.attr("height",f)}},onTransformationCallback:function(a,b){if(a.self.getEraseState()===!0)a.subject.data["delete"]=!0,a.self.localisationManager.updateSpacialLocBlock(a.self.mediaPlayer.getMetadataById(a.self.getSelectedMetadataId())),a.unplug(),a.subject.remove(),a.self.setEraseState(!1),a.self.mediaPlayer.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:a.self.getSelectedMetadataId()});else if($.inArray("drag end",b)>-1||$.inArray("scale end",b)>-1){var c={c:{x:parseFloat((a.attrs.center.x+a.attrs.translate.x)/a.self.canvas.width),y:parseFloat((a.attrs.center.y+a.attrs.translate.y)/a.self.canvas.height)},rx:parseFloat(a.attrs.size.x*a.attrs.scale.x/2/a.self.canvas.width),ry:parseFloat(a.attrs.size.y*a.attrs.scale.y/2/a.self.canvas.height),o:parseFloat(a.attrs.rotate),t:a.self.shape};a.self.updatePosShape(c,a.subject.data)}},onClickToEraser:function(a){a.data.self.getEraseState()===!0?a.data.self.setEraseState(!1):a.data.self.setEraseState(!0)},updatePosShape:function(a,b){var c=this.mediaPlayer,d=c.getCurrentTime();if(b.hasOwnProperty("refLoc")&&"object"==typeof b.refLoc&&b.refLoc.tc!==d){if(b.refLoc.hasOwnProperty("sublocalisations")===!1||null===b.refLoc.sublocalisations||"object"!=typeof b.refLoc.sublocalisations){b.refLoc.sublocalisations={localisation:[]};var e=parseFloat(b.refLoc.tc),f=jQuery.extend({},{tc:e,shape:b.refLoc.shape,tclevel:1});b.refLoc.sublocalisations.localisation.push(f),b.refLoc.shape=null,d>e?(b.refLoc.tcin=e,b.refLoc.tc=e,b.refLoc.tcout=d):(b.refLoc.tcin=d,b.refLoc.tc=d,b.refLoc.tcout=e)}var g=$.grep(b.refLoc.sublocalisations.localisation,function(a){return a.tc===d});g.length>0?g[0].shape=a:b.refLoc.sublocalisations.localisation.push({tc:d,shape:a,tclevel:1}),c.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:b.hasOwnProperty("metadataId")?b.metadataId:c.getSelectedMetadataId()})}else b.hasOwnProperty("refLoc")&&"object"==typeof b.refLoc&&(b.refLoc.shape=a,c.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:b.hasOwnProperty("metadataId")?b.metadataId:c.getSelectedMetadataId()}))}});