/*! V1.3.1, © INA 2015 */
/**
 * Copyright (c) 2015 Institut National de l'Audiovisuel, INA
 * This file is part of amalia.js

 * amalia.js is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

 * Redistributions of source code, javascript and css minified versions
 * must retain the above copyright notice, this list of conditions and the following disclaimer.

 * Neither the name of the copyright holder nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.

 * You should have received a copy of the GNU General Public License
 * along with amalia.js. If not, see <http://www.gnu.org/licenses/>

 *
 * amalia.js is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 */

$.Class("fr.ina.amalia.player.plugins.timeline.BaseComponent",{ComponentClassCss:"default-component",ComponentModuleClassCss:"module-default",STYLE_CLASSNAME_EXPAND_ON:"ajs-icon-chevron-down",STYLE_CLASSNAME_EXPAND_OFF:"ajs-icon-chevron-right",LocalStorageTimeDisplayStateNamespace:"timeline-display-state",NAV_CLICK:"fr.ina.amalia.player.plugins.timeline.event.NavClick",CLOSE_EVENT:"fr.ina.amalia.player.plugins.timeline.component.event.CloseEvent",CLICK_TC:"fr.ina.amalia.player.plugins.timeline.BaseComponent.event.click",CLICK_SELECT:"fr.ina.amalia.player.plugins.timeline.BaseComponent.event.click_select"},{logger:null,settings:{},mainContainer:null,tooltipConfiguration:{position:{my:"center bottom-20",at:"center top",delay:3e3,using:function(a,b){$(this).css(a),$("<div>").addClass("ajs-arrow").addClass(b.vertical).addClass(b.horizontal).appendTo(this)}},content:function(){var a=$(this),b=a.attr("title");if(a.is("[data-src]")){var c=a.attr("data-src");return"<img class='image' alt='"+b+"' src='"+c+"' />"}return b=b.replace(/(?:\r\n|\r|\n)/g,"<br />"),"<p>"+b+"</p>"}},zoomLevel:0,tcin:0,tcout:0,duration:0,displayStateList:["lg","md","sm","xs"],displayStateIdx:0,localStorageManager:null,zoomProperty:null,focusable:null,hasElements:!1,zoomable:!1,focusComponent:null,focusLine:null,listOfdata:null,zoomableZone:null,zTcin:0,zTcout:0,currentTime:0,metadataId:"",tcOffset:0,init:function(a){if(this.settings=$.extend({debug:!1,icon:"circle",color:"#3cf",container:"",metadataId:"",tcOffset:0,callbacks:{},duration:0,pointNav:!1,zoomHierarchies:!1,overlap:!1,withParentLevel:!1,zoomable:!0,focusable:!1,toolsbar:!0,editable:!1,closeable:!1,viewZoom:!1,marker:!1,timecursor:!1,thumbDirectory:"",timeFormat:"mms",framerate:25,displayState:"",callback:"",callbackStyle:""},a||{}),"undefined"!=typeof fr.ina.amalia.player.log&&"undefined"!=typeof fr.ina.amalia.player.log.LogHandler&&(this.logger=new fr.ina.amalia.player.log.LogHandler({enabled:this.settings.debug})),this.mainContainer=this.settings.container,this.localStorageManager=new fr.ina.amalia.player.LocalStorageManager({}),this.focusable=this.settings.focusable,this.zoomable=this.settings.zoomable,this.duration=parseFloat(this.settings.duration),this.zTcout=parseFloat(this.settings.duration),this.tcOffset=parseFloat(this.settings.tcOffset),0===this.mainContainer.length||"object"!=typeof this.mainContainer)throw new Error("Your container is empty.");this.initialize()},initialize:function(){if(null!==this.logger&&this.logger.trace(this.Class.fullName,"initialize"),this.mainContainer.addClass(this.Class.ComponentClassCss),this.createAxis(),this.settings.toolsbar===!0&&this.createToolBar(),this.settings.focusable===!0&&this.createBottomToolsBar(),this.settings.closeable===!0&&this.createCloseToolBar(),this.settings.timecursor===!0&&(this.createTimeCursor(),this.mainContainer.parents(".ajs-plugin.plugin-timeline").first().on(fr.ina.amalia.player.plugins.TimelinePlugin.eventTypes.TIME_CHANGE,{self:this},this.onPluginTimeChange)),this.settings.focusable===!1&&this.settings.zoomable===!1&&this.settings.viewZoom===!0&&this.createZoomContainer(),"undefined"!=typeof this.settings.callbacks.onCreated)try{eval(this.settings.callbacks.onCreated+"(this)")}catch(e){null!==this.logger&&this.logger.warn("Error to create callback.")}},createAxis:function(){var a=$("<div>",{"class":"line"}),b=$("<div>",{"class":"line-content"});b.append(a);var c=$("<div>",{"class":this.Class.ComponentModuleClassCss});if(c.append(b),""!==this.settings.callback){var d=$("<div>",{"class":"callback "+this.settings.callbackStyle});d.on("click",{self:this},this.onClickToCallback),c.append(d)}var e=$("<div>",{"class":"label",text:this.settings.title});c.append(e),""!==this.settings.callback&&e.on("click",{self:this},this.onClickToCallback),this.mainContainer.append(c);var f=this.settings.displayState;""===f&&(f=this.localStorageManager.getItem(this.Class.LocalStorageTimeDisplayStateNamespace)),null===f?f=this.getDisplayState():(this.displayStateIdx=this.displayStateList.indexOf(f),this.displayStateIdx++),this.mainContainer.removeClass(this.displayStateList.toString().replace(/,/g," ")).addClass(f),null!==this.logger&&this.logger.trace(this.Class.fullName,"createAxis")},createToolBar:function(){var a=$("<div>",{"class":"toolbar-container"}),b=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_EXPAND,"expand-btn");b.on("click",{self:this},this.onClickExpandBtn),b.addClass(this.Class.STYLE_CLASSNAME_EXPAND_ON),a.append(b);var c=$("<div>",{title:fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_SORT,"class":"sort-btn ajs-icon ajs-icon-sort"}).tooltip(this.tooltipConfiguration);if(a.append(c),this.settings.pointNav===!0){var d=$("<div>",{"class":"nav-controls"}),e=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_NAV_POINT_PREV,"chevron-circle-left prev-control");e.on("click",{self:this},this.onClickPrevNavContorl),d.append(e);var f=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_NAV_POINT_NEXT,"chevron-circle-right next-control");f.on("click",{self:this},this.onClickNextNavContorl),d.append(f),a.append(d)}return this.mainContainer.append(a),a},createCloseToolBar:function(){var a=$("<div>",{"class":"toolbar-container"}),b=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_CLOSE,"remove");b.on("click",{self:this},this.onClickCloseBtn),a.append(b),this.mainContainer.append(a)},createTimeCursor:function(){var a=$("<div>",{"class":"timecursor",left:"0px"});this.mainContainer.append(a)},createButton:function(a,b,c){return c===!1?$("<button>",{value:a,"class":b+" ajs-icon ajs-icon-"+b}):$("<button>",{title:a,"class":b+" plugin-btn ajs-icon ajs-icon-"+b}).tooltip(this.tooltipConfiguration)},createBottomToolsBar:function(){var a=$("<div>",{"class":"bottom-toolbar-container"});if(this.settings.focusable===!0){var b=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_FOCUS,"zoom-in focus-btn");b.on("click",{self:this},this.onClickFocusBtn),a.append(b)}this.mainContainer.append(a)},createFocusComponent:function(){var focusSettings={debug:this.settings.debug,tcOffset:"undefined"==typeof this.mediaPlayer?0:this.mediaPlayer.getTcOffset()};this.focusComponent=new fr.ina.amalia.player.plugins.components.FocusComponent(this.mainContainer,this.duration,focusSettings),this.focusComponent.setTc(this.tcin,this.tcout);try{var focusLineContainer=$("<div>",{"class":"sub",style:""});this.mainContainer.append(focusLineContainer);var focusLineSettings=jQuery.extend(!0,{},this.settings);focusLineSettings.container=focusLineContainer,focusLineSettings.focusable=!1,focusLineSettings.pointNav=!1,focusLineSettings.title="",focusLineSettings.toolsbar=!1,focusLineSettings.zoomHierarchies=!1,focusLineSettings.withParentLevel=!1,focusLineSettings.zoomable=!0,focusLineSettings.closeable=!0,focusLineSettings.color="#FFF",focusLineSettings.viewZoom=!1,this.focusLine=eval("new "+this.Class.fullName+"(focusLineSettings)"),this.focusLine.setTcin(this.focusComponent.getFocusTcin()),this.focusLine.setTcout(this.focusComponent.getFocusTcout()),this.mainContainer.on(fr.ina.amalia.player.plugins.components.FocusComponent.eventTypes.FOCUS_ZONE_CHANGE,{self:this},this.onFocusZoneChange),this.focusLine.mainContainer.on(this.Class.CLOSE_EVENT,{self:this},this.onCloseEventRecever),null!==this.focusLine&&(this.focusLine.removeItems(),this.focusLine.addItems(this.listOfdata))}catch(e){null!==this.logger&&this.logger.warn(e)}},createZoomContainer:function(){try{var a={debug:this.settings.debug,modeFocus:!1,tcOffset:this.settings.tcOffset};this.zoomableZone=new fr.ina.amalia.player.plugins.components.FocusComponent(this.mainContainer,this.duration,a),this.zoomableZone.setTc(this.zTcin,this.zTcout)}catch(b){null!==this.logger&&this.logger.warn(b)}},show:function(){this.mainContainer.show()},hide:function(){this.mainContainer.hide()},getContainer:function(){return this.mainContainer},getMetadataId:function(){return this.metadataId.toString()},setTitle:function(a){this.settings.title=a,this.mainContainer.find(".label").text(a)},setShape:function(a){this.settings.icon=a},setColor:function(a){this.settings.color=a},setMetadataId:function(a){this.metadataId=a.toString()},setTcin:function(a){(this.isZoomable()===!0||this.getHasElements()===!1)&&(this.tcin=parseFloat(a)),null!==this.focusComponent&&null!==this.focusLine&&(this.focusComponent.setTc(this.tcin,this.tcout),this.focusLine.setTcin(this.focusComponent.getFocusTcin()))},setTcout:function(a){(this.isZoomable()===!0||this.getHasElements()===!1)&&(this.tcout=parseFloat(a)),null!==this.focusComponent&&null!==this.focusLine&&(this.focusComponent.setTc(this.tcin,this.tcout),this.focusLine.setTcout(this.focusComponent.getFocusTcout()))},setZoomTc:function(a,b){this.zTcin=parseFloat(a),this.zTcout=parseFloat(b),null!==this.zoomableZone&&this.zoomableZone.setZoomTc(this.zTcin,this.zTcout)},setZoomProperty:function(a){this.zoomProperty=a},setCurrentTime:function(a){this.currentTime=parseFloat(a),this.settings.timecursor===!0&&this.updateTimeCursor()},getHasElements:function(){return this.hasElements},isFocusable:function(){return this.focusable},isZoomable:function(){return this.zoomable},addItems:function(a){null!==this.logger&&(this.logger.trace(this.Class.fullName," addItems/ZoomLevel:"+this.zoomLevel),this.logger.warn(a));var b=this.zoomProperty;if(this.hasElements=!0,null!==a){a.sort(function(a,c){return a.hasOwnProperty(b)&&c.hasOwnProperty(b)&&(a=parseInt(a[b]),c=parseInt(c[b])),a>c?1:c>a?-1:0}),a.sort(function(a,b){return a=parseInt(a.tc),b=parseInt(b.tc),a>b?1:b>a?-1:0}),this.settings.zoomHierarchies===!0&&(a=this.getHierarchiesData(this.zoomLevel,a,this.settings.withParentLevel));for(var c=0;c<a.length;c++)this.addItem(a[c]);this.updateTooltip()}this.listOfdata=a,this.settings.overlap===!0&&this.updateDisplayItems(),null!==this.focusLine&&(this.focusLine.removeItems(),this.focusLine.addItems(a))},clearSelectedItems:function(){for(var a=0;a<this.listOfdata.length;a++){var b=this.listOfdata[a];b.hasOwnProperty("selected")&&b.selected===!0&&(b.selected=!1)}this.mainContainer.find(".line-content .item.cuepoint").removeClass("selected")},updateTooltip:function(){this.mainContainer.find(".line-content .item.cuepoint").tooltip(this.tooltipConfiguration),this.mainContainer.find(".line-content .item.segment").tooltip(this.tooltipConfiguration)},updateTimeCursor:function(){this.mainContainer.find(".timecursor").css("left",100*(this.currentTime-this.tcin)/(this.tcout-this.tcin)+"%")},getHierarchiesData:function(a,b,c){var d=parseInt(a.toString()),e=[];if(c===!0){do{if(e=$(b).filter(function(a){return b[a].tclevel===d}),e.length>0)return e;a--}while(a>0)}else e=$(b).filter(function(a){return b[a].tclevel===d});return e},updateDisplayItems:function(){for(var a,b,c=this.mainContainer.find(".line-content").first().find(".item"),d=this.mainContainer.find(".line-content").first(),e=null,f=null,g=null,h=c.length-1;h>=0;h--)e=$(c[h]),h!==c.length-1?(f=$(d).find(".item.on").first(),f.length>0&&(a=f.offset().left,b=e.offset().left,g=e.hasClass("image")&&!e.hasClass("segment")?e.find("img").width():e.width(),a-b>g?(e.addClass("on"),e.show()):(e.addClass("off"),e.hide()))):e.addClass("on")},getDisplayState:function(){var a="";return this.displayStateIdx<this.displayStateList.length?(a=this.displayStateList[this.displayStateIdx],this.displayStateIdx++):(this.displayStateIdx=0,a=this.displayStateList[this.displayStateIdx],this.displayStateIdx++),this.localStorageManager.setItem(this.Class.LocalStorageTimeDisplayStateNamespace,a),a},changeDisplayState:function(){this.mainContainer.removeClass(this.displayStateList.toString().replace(/,/g," ")).addClass(this.getDisplayState())},getNextItem:function(a){var b=this.mainContainer.find(".line-content").first(),c=b.find(".item").filter(function(b,c){return Math.round($(c).attr("data-tc"))>Math.round(a)}).first();return c.is("[data-tc]")?parseFloat(c.attr("data-tc")):null},getPrevItem:function(a){var b=this.mainContainer.find(".line-content").first(),c=b.find(".item").filter(function(b,c){return Math.round($(c).attr("data-tc"))<Math.round(a)}).last();return c.is("[data-tc]")?parseFloat(c.attr("data-tc")):null},setZoomLevel:function(a){this.zoomLevel=a},onClickExpandBtn:function(a){try{a.data.self.mainContainer.hasClass("xs")?(a.data.self.mainContainer.removeClass(a.data.self.displayStateList.toString().replace(/,/g," ")),a.data.self.mainContainer.addClass("lg"),a.data.self.mainContainer.find(".expand-btn.plugin-btn").removeClass(a.data.self.Class.STYLE_CLASSNAME_EXPAND_OFF).addClass(a.data.self.Class.STYLE_CLASSNAME_EXPAND_ON)):(a.data.self.mainContainer.removeClass(a.data.self.displayStateList.toString().replace(/,/g," ")),a.data.self.mainContainer.addClass("xs"),a.data.self.mainContainer.find(".expand-btn.plugin-btn").removeClass(a.data.self.Class.STYLE_CLASSNAME_EXPAND_ON).addClass(a.data.self.Class.STYLE_CLASSNAME_EXPAND_OFF)),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName," onClickExpandBtn hasClass :--"+a.data.self.mainContainer.hasClass("xs"))}catch(b){null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"initialize"+b.toString())}},onClickNextNavContorl:function(a){a.data.self.mainContainer.trigger(a.data.self.Class.NAV_CLICK,{type:"next"}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickNextNavContorl")},onClickPrevNavContorl:function(a){a.data.self.mainContainer.trigger(a.data.self.Class.NAV_CLICK,{type:"prev"}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickPrevNavContorl")},onClickFocusBtn:function(a){null===a.data.self.focusComponent&&a.data.self.createFocusComponent(),a.data.self.mainContainer.removeClass("focus-off").addClass("focus-on"),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickHierarchicalZoomBtn")},onFocusZoneChange:function(a,b){a.data.self.focusLine.removeItems(),a.data.self.focusLine.setTcin(b.focusTcin),a.data.self.focusLine.setTcout(b.focusTcout),a.data.self.focusLine.addItems(a.data.self.listOfdata)},onClickCloseBtn:function(a){a.data.self.mainContainer.trigger(a.data.self.Class.CLOSE_EVENT)},onCloseEventRecever:function(a){a.data.self.mainContainer.removeClass("focus-on").addClass("focus-off")},onPluginTimeChange:function(a,b){a.data.self.setCurrentTime(b.currentTime)},onClickToCallback:function(event){if("undefined"!=typeof event.data.self.settings.callback&&""!==event.data.self.settings.callback)try{eval(event.data.self.settings.callback+"(event.data.self.getMetadataId())")}catch(e){null!==event.data.self.logger&&event.data.self.logger.warn("Send callback failed.")}null!==event.data.self.logger&&event.data.self.logger.trace(event.data.self.Class.fullName,"onClickToCallback "+event.data.self.settings.callback)}}),$.Class("fr.ina.amalia.player.plugins.components.FocusComponent",{CONTAINER_NAME:"focus-container",eventTypes:{FOCUS_ZONE_CHANGE:"fr.ina.amalia.player.plugins.components.FocusComponent.FOCUS_ZONE_CHANGE",ZOOM_ZONE_CHANGE:"fr.ina.amalia.player.plugins.components.FocusComponent.ZOOM_ZONE_CHANGE"}},{logger:null,settings:{},mainContainer:null,container:null,modeFocus:null,tcin:0,tcout:0,duration:0,init:function(a,b,c){if(this.settings=$.extend({debug:!1,modeFocus:!0,tcOffset:0},c||{}),this.modeFocus=this.settings.modeFocus,"undefined"!=typeof fr.ina.amalia.player.log&&"undefined"!=typeof fr.ina.amalia.player.log.LogHandler&&(this.logger=new fr.ina.amalia.player.log.LogHandler({enabled:this.settings.debug})),this.mainContainer=a,this.duration=parseFloat(b),0===this.mainContainer.length||"object"!=typeof this.mainContainer)throw new Error("Your container is empty.");this.initialize()},initialize:function(){null!==this.logger&&this.logger.trace(this.Class.fullName,"initialize"),this.createContainer(),this.setMode(),this.mainContainer.on(fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.eventTypes.RANGE_CHANGE,{self:this},this.onTimeRangeChange)},createContainer:function(){this.container=$("<div>",{"class":this.Class.CONTAINER_NAME}),this.container.resizable({handles:"w,e",create:function(a){$(a.target).find("div.ui-resizable-handle").addClass("ajs-icon ajs-icon-reorder")},start:function(a){var b=$(a.target).parent(),c=b.width();$(a.target).resizable("option","minWidth",40),$(a.target).resizable("option","maxWidth",c)}}),this.container.on("resizestop",{self:this},this.onResizeStop),this.container.draggable({axis:"x",drag:function(a,b){var c=$(a.target),d=c.parent(),e=Math.max(0,b.position.left);b.position.left=Math.min(d.first().width()-c.width(),e)}}).css("position","absolute"),this.container.on("dragstop",{self:this},this.onDragStop),this.mainContainer.append(this.container),null!==this.logger&&this.logger.trace(this.Class.fullName,"createContainer")},setMode:function(){this.modeFocus===!0?this.mainContainer.find("."+this.Class.CONTAINER_NAME).addClass("focus"):this.mainContainer.find("."+this.Class.CONTAINER_NAME).addClass("zoom")},getContainer:function(){return this.mainContainer},setTc:function(a,b){this.tcin=parseFloat(a),this.tcout=parseFloat(b),this.mainContainer.find("."+this.Class.CONTAINER_NAME).attr("tcin",parseFloat(a)),this.mainContainer.find("."+this.Class.CONTAINER_NAME).attr("tcout",parseFloat(b)),this.selectedZoneChange(),null!==this.logger&&this.logger.trace(this.Class.fullName,"setTc: default tc:"+this.tcin+":"+this.tcout)},setZoomTc:function(a,b){a-=this.settings.tcOffset,b-=this.settings.tcOffset;var c=this.duration-this.settings.tcOffset;this.resize(100*(b-a)/c,100*a/c)},resize:function(a,b){this.mainContainer.find("."+this.Class.CONTAINER_NAME).first().css({width:Math.min(Math.max(0,parseFloat(a)),100)+"%",left:Math.min(Math.max(0,parseFloat(b)),100)+"%"}),this.container.trigger("dragstop")},selectedZoneChange:function(){var a=this.getFocusTcin(),b=this.getFocusTcout();this.modeFocus===!0?(this.mainContainer.trigger(this.Class.eventTypes.FOCUS_ZONE_CHANGE,{focusTcin:a,focusTcout:b}),null!==this.logger&&this.logger.trace(this.Class.fullName,"selectedZoneChange trigger event : "+this.Class.eventTypes.FOCUS_ZONE_CHANGE+" focus focusTcin:"+a+" focusTcout:"+b)):(this.mainContainer.trigger(this.Class.eventTypes.ZOOM_ZONE_CHANGE,{zTcin:a+this.settings.tcOffset,zTcout:b+this.settings.tcOffset}),null!==this.logger&&this.logger.trace(this.Class.fullName,"selectedZoneChange trigger event : "+this.Class.eventTypes.ZOOM_ZONE_CHANGE+" focus zTcin:"+a+" zTcout:"+b))},getFocusTcin:function(){var a=parseFloat((this.tcout-this.settings.tcOffset-this.tcin)*this.mainContainer.find("."+this.Class.CONTAINER_NAME).first().position().left/this.mainContainer.first().width());return Math.max(0,this.tcin+a)},getFocusTcout:function(){var a=this.getFocusTcin(),b=parseFloat((this.tcout-this.settings.tcOffset-this.tcin)*this.mainContainer.find("."+this.Class.CONTAINER_NAME).first().width()/this.mainContainer.first().width());return Math.min(this.duration-this.settings.tcOffset,a+b)},onTimeRangeChange:function(a,b){a.data.self.setTc(b.tcin,b.tcout),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onTimeRangeChange default tc:"+b.tcin+":"+b.tcout)},onDragStop:function(a){null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onDragStop"),a.data.self.selectedZoneChange()},onResizeStop:function(a,b){var c=$(b.element);a.data.self.modeFocus===!0?c.css("height","50%"):c.css("height","100%"),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onResizeStop"),a.data.self.selectedZoneChange()}}),$.Class("fr.ina.amalia.player.plugins.timeline.TicComponent",{eventTypes:{CLICK:"fr.ina.amalia.player.plugins.timeline.TicComponent.click",UPDATE_TC:"fr.ina.amalia.player.plugins.timeline.TicComponent.updatetc"}},{logger:null,container:null,settings:{},currentTcin:0,currentTcout:0,tooltipConfiguration:{position:{my:"center bottom-20",at:"center top",delay:3e3,using:function(a,b){$(this).css(a),$("<div>").addClass("ajs-arrow").addClass(b.vertical).addClass(b.horizontal).appendTo(this)}},content:function(){var a=$(this),b=a.attr("title");if(a.is("[data-src]")){var c=a.attr("data-src");return"<img class='image' alt='"+b+"' src='"+c+"' />"}return b=b.replace(/(?:\r\n|\r|\n)/g,"<br />"),"<p>"+b+"</p>"}},PREFERRED_TICS:[1,5,10,100,1e3,2e3,5e3,1e4,2e4,3e4,6e4,3e5,6e5,18e5],mediaDuration:0,averageLabelSize:50,init:function(a,b){this.settings=$.extend({debug:!1},b||{}),"undefined"!=typeof fr.ina.amalia.player.log&&"undefined"!=typeof fr.ina.amalia.player.log.LogHandler&&(this.logger=new fr.ina.amalia.player.log.LogHandler({enabled:this.settings.debug})),this.container=a,this.mediaDuration=1e3*this.settings.duration,this.averageLabelSize=50,this.initialize()},initialize:function(){this.container.on("click",{self:this},this.onClick),this.container.draggable({axis:"x"}),this.container.on("drag",{self:this},this.onDrag),this.container.on("dragstop",{self:this},this.onDragStop),$(window).on("resize",{self:this},this.onWindowResize)},getWidth:function(){return Math.round(this.container.width())},getPreferredNbSegments:function(){return Math.round(this.getWidth()/this.averageLabelSize)},createTic:function(a,b,c){var d=$("<div>",{"class":"time-grid","data-tc":a}),e=$("<span>",{"class":"time",text:c,"data-tc":a,title:fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(a/1e3,this.settings.framerate,this.settings.timeFormat)});return d.append(e),d.css("left",b+"%"),d},updateSegments:function(a,b){this.currentTcin=a,this.currentTcout=b;var c=b-a,d=this.getPreferredNbSegments(),e=0,f=0,g=a,h=-1;do h++,f=Math.round(c/this.PREFERRED_TICS[h]);while(f>d&&h<this.PREFERRED_TICS.length-1);e=this.PREFERRED_TICS[h],g=Math.max(-1,Math.ceil(a/e)-f)*e,b=Math.min(b+c,this.mediaDuration);var i=0;this.container.empty(),this.container.attr("data-duration",c);do g+=e,i=100*(g-a)/c,this.container.append(this.createTic(g,i,this.getFormatTc(g,e)));while(b>g);this.container.find("span.time").tooltip(this.tooltipConfiguration),null!==this.logger&&this.logger.trace(this.Class.fullName,"updateSegments getWidth() : "+this.getWidth()+" preferredNbSegments :"+d)},getFormatTc:function(a,b){a/=1e3,b/=1e3;var c="",d=Math.floor(a/60),e=Math.floor(d/60),f=Math.floor(a%60),g=a%60;return d=Math.floor(d%60),d=d>=10?d:"0"+d,e=e>=10?e:"0"+e,f=f>=10?f:"0"+f,b>3600?c=0===parseInt(e)?e+"::"+d+":"+f+" m":e+"h":3600>=b&&b>=60?c=0===parseInt(e)?d+":"+f+" m":e+":"+d+" h":60>b&&b>1?c=0!==parseInt(e)&&0===parseInt(d)?g.toFixed(2).toString()+" s":d+":"+f+" m":1>=b&&(c=.001>=b?g.toFixed(4).toString().split(".")[1]+" ms":f+"."+g.toFixed(2).toString().split(".")[1]+" s"),c},onClick:function(a){var b=$(a.target);if(a.preventDefault(),b.hasClass("time")){var c=parseFloat(b.attr("data-tc"));"number"==typeof c&&(a.data.self.container.trigger(a.data.self.Class.eventTypes.CLICK,{tc:c/1e3}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClick tc:"+c))}},onDrag:function(a,b){var c=$(a.target),d=Math.abs(parseInt(c.find(".time-grid").first().position().left)),e=parseInt(c.find(".time-grid").last().position().left),f=b.position;return b.position.left>d?f.left=d:c.width()-e>b.position.left&&(f.left=c.width()-e),f},onDragStop:function(a,b){var c=$(a.target),d=parseFloat(c.attr("data-tcin")),e=parseFloat(c.attr("data-tcout")),f=e-d,g=Math.abs(b.position.left),h=100*g/c.width(),i=Math.round(f*h/100);d=b.position.left>0?d-i:d+i,e=d+f,"number"==typeof d&&"number"==typeof e&&(c.css("left","0px"),a.data.self.container.trigger(a.data.self.Class.eventTypes.UPDATE_TC,{tcin:d,tcout:Math.min(a.data.self.mediaDuration,e)}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onDragStop tcin:"+d+" tcout"+e))},onWindowResize:function(a){var b=$(a.target).first();b.is("div")===!1&&a.data.self.updateSegments(a.data.self.currentTcin,a.data.self.currentTcout),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onWindowResize ")}}),$.Class("fr.ina.amalia.player.plugins.timeline.ZoomComponent",{eventTypes:{CHANGE:"fr.ina.amalia.player.plugins.timeline.ZoomComponent.event.change"}},{logger:null,container:null,settings:{},tcOffset:0,duration:0,currentTcin:0,currentTcout:0,slideSpeed:0,zoomSpeed:2,init:function(a,b,c){this.settings=$.extend({debug:!1,zoomSpeed:10,tcOffset:0},c||{}),"undefined"!=typeof fr.ina.amalia.player.log&&"undefined"!=typeof fr.ina.amalia.player.log.LogHandler&&(this.logger=new fr.ina.amalia.player.log.LogHandler({enabled:this.settings.debug})),this.container=a,this.tcOffset=1e3*parseFloat(this.settings.tcOffset),this.duration=1e3*b,this.zoomSpeed=this.settings.zoomSpeed,this.slideSpeed=0,this.initialize(this.tcOffset,this.duration+this.tcOffset)},initialize:function(a,b){null!==this.logger&&this.logger.trace(this.Class.fullName,"Initialize  tcin"+a+" tcout:"+b+" duration : "+this.duration),this.container.append($("<span>",{"class":"time",style:"display: block; position: absolute;height: 100px;width: 1px;background: aqua;margin-top: -50px;"}));var c=$("<div>",{"class":"list"});this.container.append(c),this.setTc(a,b)},setTc:function(a,b){"number"==typeof a&&"number"==typeof b&&(this.currentTcin=a,this.currentTcout=b,this.updateTime()),null!==this.logger&&this.logger.trace(this.Class.fullName,"setTc / currentTcin :"+this.currentTcin+" currentTcout:"+this.currentTcout)},updateTime:function(){(this.currentTcin<this.tcOffset||this.currentTcout>this.duration)&&(this.currentTcin=this.tcOffset,this.currentTcout=this.duration),this.updateTc(),this.sendEvent(),null!==this.logger&&this.logger.trace(this.Class.fullName,"updateTime currentTcin :"+this.currentTcin+" currentTcout:"+this.currentTcout)},sendEvent:function(){this.container.trigger(this.Class.eventTypes.CHANGE,{tcin:this.currentTcin,tcout:this.currentTcout}),null!==this.logger&&this.logger.trace(this.Class.fullName,"sendEvent sendEvent :"+this.Class.eventTypes.CHANGE+" currentTcin:"+this.currentTcin+" currentTcout "+this.currentTcout)},updateTc:function(){this.container.attr({"data-tcin":this.currentTcin,"data-tcout":this.currentTcout})},zoomIn:function(){var a=this.currentTcout-this.currentTcin,b=Math.round(a/this.zoomSpeed);0!==b&&(this.slideSpeed=b,this.currentTcin+=b,this.currentTcout-=b,this.updateTime())},zoomOut:function(){var a=this.currentTcout-this.currentTcin,b=Math.round(a/this.zoomSpeed);b=0>=b?1:b,this.slideSpeed=b,this.currentTcin-=b,this.currentTcout+=b,this.updateTime()},slideLeft:function(){this.currentTcin-this.slideSpeed>=0&&(this.currentTcin=this.currentTcin-this.slideSpeed,this.currentTcout=this.currentTcout-this.slideSpeed,null!==this.logger&&this.logger.trace(this.Class.fullName,"slideLeft currentZoom : "+this.currentZoom+" currentTcin :"+this.currentTcin+" currentTcout:"+this.currentTcout),this.updateTc(),this.sendEvent())},slideRight:function(){this.currentTcout+this.slideSpeed<=this.duration&&(this.currentTcin=this.currentTcin+this.slideSpeed,this.currentTcout=this.currentTcout+this.slideSpeed,null!==this.logger&&this.logger.trace(this.Class.fullName,"slideRight currentZoom : "+this.currentZoom+" currentTcin :"+this.currentTcin+" currentTcout:"+this.currentTcout),this.updateTc(),this.sendEvent())}}),fr.ina.amalia.player.plugins.timeline.BaseComponent.extend("fr.ina.amalia.player.plugins.timeline.TimeAxisComponent",{STYLE_CLASSNAME_EXPAND_ON:"ajs-icon-chevron-down",STYLE_CLASSNAME_EXPAND_OFF:"ajs-icon-chevron-right",eventTypes:{CLICK_AT_TIC:"fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.event.clickattic",RANGE_CHANGE:"fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.event.rangechange",CHANGE_DISPLAY:"fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.event.changedisplay",CHANGE_TIMEAXE_DISPLAY_STATE:"fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.event.changetimeaxedisplaystate"}},{tcin:0,tcout:0,duration:0,segmentsGenerator:null,timeZoomComponent:null,init:function(a){if(this.settings=$.extend({debug:!1,container:null,duration:0,expand:!1,tcOffset:0},a||{}),"undefined"!=typeof fr.ina.amalia.player.log&&"undefined"!=typeof fr.ina.amalia.player.log.LogHandler&&(this.logger=new fr.ina.amalia.player.log.LogHandler({enabled:this.settings.debug})),this.mainContainer=this.settings.container,this.tcin=parseFloat(this.settings.tcOffset),this.tcout=parseFloat(this.settings.duration)+parseFloat(this.settings.tcOffset),this.duration=parseFloat(this.settings.duration),this.segmentsGenerator=null,this.timeZoomComponent=null,"object"!=typeof this.mainContainer)throw new Error("Your container is empty.");this.initialize()},initialize:function(){this.createTimeAxis(),this.settings.expand===!0&&(this.createControleBar(),this.createLabelContainer())},getTcin:function(){return this.tcin},getTcout:function(){return this.tcout},createControleBar:function(){var a=$("<div>",{"class":"toolbar-container"}),b=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_EXPAND,"expand-btn");b.on("click",{self:this},this.onClickExpandBtn),b.addClass(this.Class.STYLE_CLASSNAME_EXPAND_ON),a.append(b),this.mainContainer.append(a)},createLabelContainer:function(){var a=$("<div>",{"class":"timeaxis-label"});a.append($("<p>",{"class":"label",text:fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_TIMEAXE})),this.mainContainer.append(a)},createTimeAxis:function(){var a=$("<div>",{"class":"line-content"}),b=$("<div>",{"class":"line"}),c=$("<div>",{"class":"toolsbar"});this.createToolsBar(c);var d=$("<div>",{"class":"module-timeaxis"});d.append(b),d.append(a),this.mainContainer.append(d),this.mainContainer.append(c),this.timeZoomComponent=new fr.ina.amalia.player.plugins.timeline.ZoomComponent(a,this.duration,this.settings),this.segmentsGenerator=new fr.ina.amalia.player.plugins.timeline.TicComponent(a,this.settings),d.on(fr.ina.amalia.player.plugins.timeline.ZoomComponent.eventTypes.CHANGE,{self:this},this.onTimeRangeChange),this.mainContainer.on("mousewheel",{self:this},this.onMousewheel),this.mainContainer.on("DOMMouseScroll",{self:this},this.onDOMMouseScroll),a.on(fr.ina.amalia.player.plugins.timeline.TicComponent.eventTypes.CLICK,{self:this},this.onClickAtTic),a.on(fr.ina.amalia.player.plugins.timeline.TicComponent.eventTypes.UPDATE_TC,{self:this},this.onUpdateTicRange),null!==this.logger&&this.logger.trace(this.Class.fullName,"createTimeAxis")},createToolsBar:function(a){var b=$("<div>",{"class":"ajs-row"}),c=$("<div>",{"class":"ajs-col leftContainer"}),d=$("<div>",{"class":"ajs-col middleContainer"}),e=$("<div>",{"class":"ajs-col rightContainer"}),f=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_ZOOM_IN,"plus");f.on("click",{self:this},this.onZoomIn),d.append(f);var g=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_ZOOM_OUT,"minus");g.on("click",{self:this},this.onZoomOut),d.append(g);var h=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_CHANGE_DISPLAY,"arrows-v");h.on("click",{self:this},this.onChangeDisplay),d.append(h);var i=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_SLIDE_LEFT,"chevron-left");i.on("click",{self:this},this.onSlideLeft),i.addClass("pull-left"),c.append(i);var j=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_SLIDE_RIGHT,"chevron-right");j.on("click",{self:this},this.onSlideRight),j.addClass("pull-right"),e.append(j),b.append(c),b.append(d),b.append(e),a.append(b)},setZoomTc:function(a,b){this.timeZoomComponent.setTc(parseFloat(1e3*a),parseFloat(1e3*b))},zoom:function(a){var b="undefined"==typeof a?"in":a;"in"===b?this.timeZoomComponent.zoomIn():this.timeZoomComponent.zoomOut()},slide:function(a){var b="undefined"==typeof a?"left":a;"left"===b?this.timeZoomComponent.slideLeft():this.timeZoomComponent.slideRight()},onTimeRangeChange:function(a,b){a.data.self.segmentsGenerator.updateSegments(b.tcin,b.tcout),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.RANGE_CHANGE,{
tcin:b.tcin/1e3,tcout:b.tcout/1e3})},onZoomIn:function(a){a.data.self.zoom("in"),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onZoomIn")},onZoomOut:function(a){a.data.self.zoom("out"),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onZoomOut")},onSlideLeft:function(a){a.data.self.slide("left"),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"slideLeft")},onSlideRight:function(a){a.data.self.slide("right"),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"slideRight")},onChangeDisplay:function(a){a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.CHANGE_DISPLAY),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onChangeDisplay")},onDOMMouseScroll:function(a){a.preventDefault();var b=a.originalEvent.wheelDelta?a.originalEvent.wheelDelta:a.originalEvent.detail;"number"==typeof b&&(0>b?a.data.self.zoom("in"):a.data.self.zoom("out")),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onDOMMouseScroll")},onMousewheel:function(a){a.preventDefault();var b=a.originalEvent.wheelDelta?a.originalEvent.wheelDelta:a.originalEvent.detail;"number"==typeof b&&(b>0?a.data.self.zoom("in"):a.data.self.zoom("out")),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onMousewheel")},onClickAtTic:function(a,b){b.hasOwnProperty("tc")===!0&&"number"==typeof b.tc&&a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.CLICK_AT_TIC,{tc:parseFloat(b.tc)})},onUpdateTicRange:function(a,b){b.hasOwnProperty("tcin")===!0&&b.hasOwnProperty("tcout")===!0&&(null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onUpdateTicRange"),a.data.self.timeZoomComponent.setTc(b.tcin,b.tcout))},onClickExpandBtn:function(a){try{a.data.self.mainContainer.hasClass("off")?(a.data.self.mainContainer.removeClass("off").addClass("on"),a.data.self.mainContainer.find(".expand-btn.plugin-btn").removeClass(a.data.self.Class.STYLE_CLASSNAME_EXPAND_OFF).addClass(a.data.self.Class.STYLE_CLASSNAME_EXPAND_ON),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.CHANGE_TIMEAXE_DISPLAY_STATE,{state:!0})):(a.data.self.mainContainer.removeClass("on").addClass("off"),a.data.self.mainContainer.find(".expand-btn.plugin-btn").removeClass(a.data.self.Class.STYLE_CLASSNAME_EXPAND_ON).addClass(a.data.self.Class.STYLE_CLASSNAME_EXPAND_OFF),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.CHANGE_TIMEAXE_DISPLAY_STATE,{state:!1}))}catch(b){null!==a.data.self.logger&&a.data.self.logger.error(a.data.self.Class.fullName+"onClickExpandBtn : "+b.toString())}}}),fr.ina.amalia.player.plugins.timeline.BaseComponent.extend("fr.ina.amalia.player.plugins.timeline.CuepointsComponent",{eventTypes:{DATA_CHANGE:"fr.ina.amalia.player.plugins.timeline.CuepointsComponent.eventTypes.DATA_CHANGE"},ComponentClassCss:"cuepoints-component",ComponentModuleClassCss:"module-cuepoints",COMPONENT_NAME:"cuepoint"},{initialize:function(){this._super(),this.mainContainer.on("click",".cuepoint",{self:this},this.onClickAtCuepoint)},createCuePointElement:function(a,b,c,d){var e=this,f="undefined"!=typeof this.settings.icon&&""!==this.settings.icon?this.settings.icon:"circle",g=$("<i>",{"class":"item cuepoint ajs-icon ajs-icon-"+f,style:"left: "+b+"%; color:"+this.settings.color+";",title:c,"data-tc":a,"data-tclevel":d});return this.settings.editable===!0&&(g.draggable({axis:"x",drag:function(a,b){var c=$(a.target),d=c.parent(),f=Math.max(0,b.position.left);b.position.left=Math.min(d.first().width(),f);var h=parseFloat((e.zTcout-e.zTcin)*f/e.mainContainer.first().width());g.attr("title",fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(h,e.settings.framerate,e.settings.timeFormat)),e.updateTooltip()}}),g.on("dragstop",{self:this},this.onDragStop),g.css("position","absolute")),g},addItem:function(a){if(a.hasOwnProperty("tc")){var b=parseFloat(a.tc),c=this.tcout-this.tcin,d=100*(b-this.tcin)/c,e=this.mainContainer.find(".line-content").first(),f=a.hasOwnProperty("label")===!0&&""!==a.label&&null!==a.label?a.label:"Tc: "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(b,this.settings.framerate,this.settings.timeFormat),g=null,h=a.hasOwnProperty("selected")&&a.selected===!0;b>=this.tcin&&b<=this.tcout&&(g=this.createCuePointElement(b,d,f,a.tclevel),g.data("metadata",a),h&&(g.addClass("selected"),a.hasOwnProperty("formCreated")&&a.formCreated===!1&&this.mainContainer.trigger(this.Class.CLICK_SELECT,{tc:b,metadata:a})),a.hasOwnProperty("type")&&null!==a.type&&g.attr("data-item-type",a.type),e.append(g),null!==this.logger&&this.logger.trace(this.Class.fullName,"addItem tcin: "+this.tcin+" tcout: "+this.tcout+" tc:"+b+" percentPos:"+d))}},removeItems:function(){this.mainContainer.find(".line-content .cuepoint").remove()},onClickAtCuepoint:function(a){a.stopPropagation();var b=$(a.currentTarget),c=parseFloat(b.data("tc")),d=$(a.currentTarget).data("metadata");a.altKey&&d.selected!==!0&&a.data.self.settings.editable===!0&&(d.selected=!0,d.formCreated=!1,b.addClass("selected"),a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_SELECT,{tc:c,metadata:d})),a.altKey&&a.data.self.settings.editable===!0?(a.data.self.clearSelectedItems(),d.selected=!0,b.addClass("selected"),a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_SELECT,{tc:c,metadata:d})):a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_TC,{tc:c}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickAtCuepoint tc:"+c)},onDragStop:function(a){var b=$(a.currentTarget),c=parseFloat((a.data.self.zTcout-a.data.self.zTcin)*b.position().left/a.data.self.mainContainer.first().width());$(a.currentTarget).data("metadata").tc=Math.max(0,c+a.data.self.zTcin),$(a.currentTarget).data("metadata").tcin=Math.max(0,c+a.data.self.zTcin),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.DATA_CHANGE,{id:a.data.self.getMetadataId()})}}),fr.ina.amalia.player.plugins.timeline.BaseComponent("fr.ina.amalia.player.plugins.timeline.SegmentsComponent",{ComponentClassCss:"segments-component",ComponentModuleClassCss:"module-segments",COMPONENT_NAME:"segment",eventTypes:{DATA_CHANGE:"fr.ina.amalia.player.plugins.timeline.SegmentsComponent.eventTypes.DATA_CHANGE"}},{initialize:function(){this._super(),this.mainContainer.on("dblclick ",".segment",{self:this},this.onDBLClickAtSegment),this.mainContainer.on("click",".segment",{self:this},this.onClickAtSegment)},createSegmentElement:function(a,b,c,d,e){var f=this,g=""!==this.settings.color?"color:"+this.settings.color+"; background-color:"+this.settings.color+";":"",h=this.settings.marker===!0?"item segment marker":"item segment",i=$("<div>",{"class":h,style:"left: "+c+"%; width:"+d+"%;"+g,title:e,"data-tc":a,"data-tcin":a,"data-tcout":b});return this.settings.editable===!0&&(i.resizable({handles:"e,w",ghost:!0,helper:"ui-resizable-helper",start:function(a,b){var c=$(a.target).parent(),d=c.width()-b.element.position().left;$(a.target).resizable("option","maxWidth",d)},resize:function(b,c){var d=parseFloat((f.zTcout-f.zTcin)*c.position.left/f.mainContainer.first().width())+f.zTcin,e=a+parseFloat((f.zTcout-f.zTcin)*c.size.width/f.mainContainer.first().width());i.attr("title","Tc in : "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(d,f.settings.framerate,f.settings.timeFormat)+"\n Tc out : "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(e,f.settings.framerate,f.settings.timeFormat)),f.updateTooltip()}}),i.on("resizestop",{self:this},this.onResizeStop),i.draggable({axis:"x",drag:function(a,b){var c=$(a.target),d=c.parent(),e=Math.max(0,b.position.left);b.position.left=Math.min(d.first().width()-c.width(),e);var g=parseFloat((f.zTcout-f.zTcin)*b.position.left/f.mainContainer.first().width())+f.zTcin,h=parseFloat((f.zTcout-f.zTcin)*c.width()/f.mainContainer.first().width())+g;i.attr("title","Tc in : "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(g,f.settings.framerate,f.settings.timeFormat)+"\n Tc out : "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(h,f.settings.framerate,f.settings.timeFormat)),f.updateTooltip()}}),i.on("dragstop",{self:this},this.onDragStop),i.css("position","absolute")),i},addItem:function(a){if(a.hasOwnProperty("tcin")&&a.hasOwnProperty("tcout")){var b=parseFloat(a.tcin),c=parseFloat(a.tcout),d=this.tcout-this.tcin,e=100*(c-b)/d,f=100*(b-this.tcin)/d,g=null,h=a.hasOwnProperty("selected")&&a.selected===!0;g=a.hasOwnProperty("label")===!0&&""!==a.label&&null!==a.label?a.label:"Tc in : "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(b,this.settings.framerate,this.settings.timeFormat)+"\n Tc out : "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(c,this.settings.framerate,this.settings.timeFormat);var i=this.mainContainer.find(".line-content").first(),j=null;b<this.tcout&&c>this.tcin&&(j=this.createSegmentElement(b,c,f,e,g),j.data("metadata",a),h&&j.addClass("selected"),h&&a.hasOwnProperty("formCreated")&&a.formCreated===!1&&this.mainContainer.trigger(this.Class.CLICK_SELECT,{tc:b,metadata:a}),a.hasOwnProperty("type")&&null!==a.type&&j.attr("data-item-type",a.type),i.append(j),null!==this.logger&&this.logger.trace(this.Class.fullName,"addItem tcin: "+this.tcin+" tcout: "+this.tcout+" itemTcin:"+b+" itemTcout:"+c+" percentWidth:"+f))}},removeItems:function(){var a=this.mainContainer.find(".line-content").first();a.find(".segment").remove()},onClickAtSegment:function(a){a.stopPropagation();var b=$(a.currentTarget),c=parseFloat(b.data("tcin")),d=$(a.currentTarget).data("metadata");a.altKey&&a.data.self.settings.editable===!0&&"object"==typeof d&&d.selected!==!0?(d.selected=!0,d.formCreated=!1,b.addClass("selected"),a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_SELECT,{tc:c,metadata:d})):a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_TC,{tc:c}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickAtSegment tcin:"+c)},onDBLClickAtSegment:function(a){var b=$(a.currentTarget),c=parseFloat(b.data("tcin")),d=$(a.currentTarget).data("metadata");a.preventDefault(),a.data.self.settings.editable===!0&&"object"==typeof d&&(d.hasOwnProperty("selected")&&d.selected===!0?(d.selected=!1,b.removeClass("selected")):(d.selected=!0,b.addClass("selected")),a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_SELECT,{tc:c,metadata:d})),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onDBLClickAtSegment tcin:"+c)},onDragStop:function(a){var b=$(a.currentTarget),c=parseFloat((a.data.self.zTcout-a.data.self.zTcin)*b.position().left/a.data.self.mainContainer.first().width())+a.data.self.zTcin,d=parseFloat((a.data.self.zTcout-a.data.self.zTcin)*b.width()/a.data.self.mainContainer.first().width())+c;$(a.currentTarget).data("metadata").tcin=Math.max(0,c),$(a.currentTarget).data("metadata").tcout=Math.min(a.data.self.zTcout,d),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.DATA_CHANGE,{id:a.data.self.getMetadataId()})},onResizeStop:function(a){var b=$(a.currentTarget),c=parseFloat((a.data.self.zTcout-a.data.self.zTcin)*b.position().left/a.data.self.mainContainer.first().width())+a.data.self.zTcin,d=c+parseFloat((a.data.self.zTcout-a.data.self.zTcin)*b.width()/a.data.self.mainContainer.first().width());$(a.currentTarget).data("metadata").tcin=Math.max(0,c),$(a.currentTarget).data("metadata").tcout=Math.min(a.data.self.zTcout,d),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.DATA_CHANGE,{id:a.data.self.getMetadataId()})}}),fr.ina.amalia.player.plugins.timeline.BaseComponent.extend("fr.ina.amalia.player.plugins.timeline.ImagesComponent",{ComponentClassCss:"images-component",ComponentModuleClassCss:"module-images",COMPONENT_NAME:"image"},{tooltipConfiguration:{position:{my:"center bottom-20",at:"center top",delay:3e3,using:function(a,b){$(this).css(a),$("<div>").addClass("ajs-arrow").addClass("timeline-images-component").addClass(b.vertical).addClass(b.horizontal).appendTo(this)}},content:function(){var a=$(this),b=a.attr("title");if(a.is("[data-src]")){var c=a.attr("data-src");return"<img class='timeline-images-component tooltip-image' alt='"+b+"' src='"+c+"' />"}return b=b.replace(/(?:\r\n|\r|\n)/g,"<br />"),"<p>"+b+"</p>"}},initialize:function(){this._super(),this.mainContainer.on("click",".image",{self:this},this.onClickAtImage)},createImageElement:function(a,b,c,d,e,f,g){var h=$("<img>",{src:f,"class":"content",title:e,"data-src":f}).tooltip(this.tooltipConfiguration),i=null;if(null!==b){var j=$("<hr>",{"class":"flow",style:"border-color:"+this.settings.color+"; color:"+this.settings.color+";"});i=$("<div>",{"class":"item image segment",style:"left: "+c+"%; width:"+d+"%;",title:e,"data-tc":a,"data-tclevel":g,"data-tcin":a,"data-tcout":b}).append(j),d>parseInt(this.settings.pointTogglePercentHeight)?i.append(h):i.tooltip(this.tooltipConfiguration)}else i=$("<div>",{"class":"item image",style:"left: "+c+"%; margin-left:-"+this.settings.offset+"px;",title:e,"data-tc":a,"data-tclevel":g}).append(h);return i.on("mouseenter mouseleave",function(a){"mouseenter"===a.type?($(a.currentTarget).parent().find(".image").css("opacity",".3"),$(a.currentTarget).addClass("on").css("opacity","1")):($(a.currentTarget).parent().find(".image").css("opacity","1"),$(a.currentTarget).removeClass("on").css("opacity","1"))}),i},getThumbPath:function(a){var b="";return a.hasOwnProperty("thumb")===!0&&null!==a.thumb&&""!==a.thumb&&(b=a.thumb,-1===b.search("/^data:/")&&(b=this.settings.thumbDirectory+b)),b},addItem:function(a){var b=null,c=null,d=null,e=this.tcout-this.tcin,f=this.getThumbPath(a);if(a.hasOwnProperty("tcin")&&a.hasOwnProperty("tcout")){var g=parseFloat(a.tcin),h=parseFloat(a.tcout),i=100*(h-g)/e;b=100*(g-this.tcin)/e,c=a.hasOwnProperty("label")===!0&&""!==a.label&&null!==a.label?a.label:"Tc in: "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(g,this.settings.framerate,this.settings.timeFormat)+"\n Tc out: "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(h,this.settings.framerate,this.settings.timeFormat),d=this.mainContainer.find(".line-content").first(),g>=this.tcin&&g<=this.tcout&&(d.append(this.createImageElement(g,h,b,i,c,f,a.tclevel)),null!==this.logger&&this.logger.trace(this.Class.fullName,"addItem tcin: "+this.tcin+" tcout: "+this.tcout+" itemTcin:"+g+" itemTcout:"+h+" percentWidth:"+b))}else if(a.hasOwnProperty("tc")){var j=parseFloat(a.tc);b=100*(j-this.tcin)/e,c=a.hasOwnProperty("label")===!0&&""!==a.label&&null!==a.label?a.label:fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(j,this.settings.framerate,this.settings.timeFormat),d=this.mainContainer.find(".line-content").first(),j>=this.tcin&&j<=this.tcout&&(d.append(this.createImageElement(j,null,b,null,c,f,a.tclevel)),null!==this.logger&&this.logger.trace(this.Class.fullName,"addItem tc: "+j))}},removeItems:function(){this.mainContainer.find(".line-content").first().find(".image").remove()},onClickAtImage:function(a){var b=$(a.currentTarget),c=parseFloat(b.data("tc"));a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_TC,{tc:c}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickAtImage tcin:"+c)}}),fr.ina.amalia.player.plugins.timeline.BaseComponent.extend("fr.ina.amalia.player.plugins.timeline.HistogramComponent",{ComponentClassCss:"histogram-component",ComponentModuleClassCss:"module-histogram",eventTypes:{}},{canvas:null,histogramIsCreated:!1,initialize:function(){this._super(),this.settings=$.extend({mirror:!1,color:"#ffffff"},this.settings||{}),this.histogramIsCreated=!1,this.canvas=new Raphael(this.mainContainer.find(".line-content").get(0)),this.mainContainer.on("click",{self:this},this.onClickAtHistogram)},createHistogram:function(a,b,c,d,e){var f=fr.ina.amalia.player.helpers.UtilitiesHelper.base64DecToArr(a,e),g=null,h=parseInt(b);null!==c&&(g=fr.ina.amalia.player.helpers.UtilitiesHelper.base64DecToArr(c,e),h=parseInt(b+d)),this.canvas.setViewBox(0,0,e,h,!1),this.canvas.setSize("100%","100%"),this.canvas.canvas.setAttribute("preserveAspectRatio","none");for(var i=null,j=null,k="undefined"===this.settings.color?this.settings.color:"#FFFFFF",l=0;e>l;l++)i=parseInt(f[l]),this.canvas.path("M"+l+" "+b+"l 0 -"+i).attr({type:"path",stroke:k,"stroke-width":"1",fill:k}),null!==g&&(j=parseInt(g[l]),this.canvas.path("M"+l+" "+d+"l 0 "+j).attr({type:"path",stroke:k,"stroke-width":"1",fill:k}));null!==this.logger&&this.logger.trace(this.Class.fullName,"CreateHistogramWithMirror posmax:"+b+"  negmax:"+d+"/ nbbins:"+e)},createHistogramWithMirror:function(a,b,c){var d=fr.ina.amalia.player.helpers.UtilitiesHelper.base64DecToArr(a,c);this.canvas.setViewBox(0,0,c,2*b,!1),this.canvas.setSize("100%","100%"),this.canvas.canvas.setAttribute("preserveAspectRatio","none");for(var e=null,f=0;c>f;f++)e=parseInt(d[f]),this.canvas.path("M"+f+" "+b+"l 0 -"+e).attr({type:"path",stroke:this.settings.color,"stroke-width":"1",fill:this.settings.color}),this.canvas.path("M"+f+" "+b+"l 0 "+e).attr({type:"path",stroke:this.settings.color,"stroke-width":"1",fill:this.settings.color});null!==this.logger&&this.logger.trace(this.Class.fullName,"CreateHistogramWithMirror posmax:"+b+"/ nbbins:"+c)},setZoomTc:function(a,b){if(this._super(a,b),this.settings.zoomable===!0){var c=parseInt(this.settings.tcOffset),d=parseInt(this.settings.duration),e=d-c,f=this.zTcout-this.zTcin,g=100*(this.zTcin-parseInt(this.settings.tcOffset))/e,h=100*e/f;this.mainContainer.find(".line-content").css({left:-g+"%",width:h+"%"})}},addItem:function(a){if(this.histogramIsCreated===!1&&null!==a.data&&a.data.hasOwnProperty("histogram")===!0&&null!==a.data.histogram&&a.data.histogram.length>0){this.canvas.clear();for(var b=0;b<a.data.histogram.length;b++){var c=a.data.histogram[b];if(c.hasOwnProperty("posbins")&&c.hasOwnProperty("negbins")&&c.hasOwnProperty("nbbins")&&c.hasOwnProperty("posmax")&&c.hasOwnProperty("negmax"))try{this.settings.mirror===!0?this.createHistogramWithMirror(c.posbins,c.posmax,c.nbbins):this.createHistogram(c.posbins,c.posmax,c.negbins,c.negmax,c.nbbins)}catch(d){null!==this.logger&&(this.logger.warn("Error to create histogram"),this.logger.warn(d.stack))}else null!==this.logger&&(this.logger.warn(this.Class.fullName+"Error to create histogram"),this.logger.warn(c))}this.histogramIsCreated=!0}},removeItems:function(){},setHistogramIsCreated:function(a){this.histogramIsCreated=a},onClickAtHistogram:function(a){var b=$(a.currentTarget),c=100*(a.clientX-b.offset().left+b.position().left)/a.data.self.mainContainer.width(),d=null;d=a.data.self.zoomable===!1?(a.data.self.tcout-a.data.self.tcin)*c/100+parseInt(a.data.self.settings.tcOffset):(a.data.self.zTcout-a.data.self.zTcin)*c/100+a.data.self.zTcin,a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_TC,{tc:d}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickAtHistogram")}}),fr.ina.amalia.player.plugins.timeline.BaseComponent("fr.ina.amalia.player.plugins.timeline.VisualComponent",{ComponentClassCss:"visual-component",ComponentModuleClassCss:"module-visual",COMPONENT_NAME:"visual",STYLE_CLASSNAME_BIND_ON:"ajs-icon-eye-on",STYLE_CLASSNAME_BIND_OFF:"ajs-icon-eye-off",eventTypes:{DATA_CHANGE:"fr.ina.amalia.player.plugins.timeline.VisualComponent.eventTypes.DATA_CHANGE",BIND:"fr.ina.amalia.player.plugins.timeline.VisualComponent.eventTypes.BIND",UNBIND:"fr.ina.amalia.player.plugins.timeline.VisualComponent.eventTypes.UNBIND"}},{localisationManager:null,initialize:function(){this._super(),this.localisationManager=new fr.ina.amalia.player.LocalisationManager,this.mainContainer.on("click",".cuepoint",{self:this},this.onClickAtCuepoint)},createToolBar:function(){var a=this._super(),b=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_BIND,"bind-btn");b.on("click",{self:this},this.onClickBindBtn),b.addClass(this.Class.STYLE_CLASSNAME_BIND_ON),a.append(b)},addItem:function(a){var b=null,c=a.hasOwnProperty("selected")&&a.selected===!0,d=a.hasOwnProperty("label")===!0&&""!==a.label&&null!==a.label?a.label:"",e=this.mainContainer.find(".line-content").first(),f=this.tcout-this.tcin;if(a.hasOwnProperty("tcin")&&a.hasOwnProperty("tcout")&&a.hasOwnProperty("sublocalisations")===!0&&null!==a.sublocalisations&&a.sublocalisations.hasOwnProperty("localisation"))this.createSublocalisationSegments(e,a,d,c),null!==this.logger&&this.logger.trace(this.Class.fullName,"addItem segment tcin: "+a.tcin+" tcout: "+a.tcout);else if(a.hasOwnProperty("tc")){var g=parseFloat(a.tc),h=100*(g-this.tcin)/f;d=""!==d?d:"Tc : "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(g,this.settings.framerate,this.settings.timeFormat),g>=this.tcin&&g<=this.tcout&&(b=this.createCuePointElement(g,h,d,a.tclevel),b.data("metadata",a),this.settings.editable===!0&&(b.draggable({axis:"x",drag:function(a,b){var c=$(a.target),d=c.parent(),e=Math.max(0,b.position.left);b.position.left=Math.min(d.first().width(),e)}}),b.on("dragstop",{self:this},this.onCuepointDragStop),b.css("position","absolute")),c&&(b.addClass("selected"),a.hasOwnProperty("formCreated")&&a.formCreated===!1&&this.mainContainer.trigger(this.Class.CLICK_SELECT,{tc:g,metadata:a})),e.append(b)),null!==this.logger&&this.logger.trace(this.Class.fullName,"addItem cuepoint tcin:  tc:"+a.tc)}},createSublocalisationSegments:function(a,b,c){this.localisationManager.setLoc(b.sublocalisations.localisation);var d=this.localisationManager.getLocTc();if(null!==d){b.tcin=d.tcin,b.tcout=d.tcout;var e=parseFloat(d.tcin),f=parseFloat(d.tcout),g=b.sublocalisations.localisation,h=this.tcout-this.tcin,i=100*(f-e)/h,j=100*(e-this.tcin)/h,k=""!==this.settings.color?"color:"+this.settings.color+"; background-color:"+this.settings.color+";":"",l=$("<div>",{"class":"item segment marker",style:"left: "+j+"%; width:"+i+"%;"+k,title:"Tc in: "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(e,this.settings.framerate,this.settings.timeFormat)+"\n Tc out: "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(f,this.settings.framerate,this.settings.timeFormat),"data-tc":e,"data-tcin":e,"data-tcout":f});a.append(l),l.data("metadata",b);for(var m=null,n=0;n<g.length;n++){var o=g[n].tc,p=100*(o-e)/(f-e);c=""!==c?c:"Tc: "+fr.ina.amalia.player.helpers.UtilitiesHelper.formatTime(o,this.settings.framerate,this.settings.timeFormat),m=this.createCuePointElement(o,p,c),m.data("metadata",g[n]),m.draggable({axis:"x",drag:this.onItemDrag}),m.on("dragstop",{self:this},this.onSegmentDragStop),l.append(m)}100>i&&(l.draggable({axis:"x",drag:function(a,b){var c=$(a.target),d=c.parent(),e=Math.max(0,b.position.left);b.position.left=Math.min(d.first().width()-c.width(),e)}}),l.on("dragstop",{self:this},this.onShiftDragStop))}},createCuePointElement:function(a,b,c,d){var e="undefined"!=typeof this.settings.color&&""!==this.settings.color?this.settings.color:"#3cf",f="undefined"!=typeof this.settings.icon&&""!==this.settings.icon?this.settings.icon:"circle",g=$("<i>",{"class":"item cuepoint ajs-icon ajs-icon-"+f,style:"left: "+b+"%; color:"+e+";",title:c,"data-tc":a,"data-tclevel":d});return g},removeItems:function(){var a=this.mainContainer.find(".line-content").first();a.find(".item").remove()},onClickAtCuepoint:function(a){var b=$(a.currentTarget),c=parseFloat(b.data("tc")),d=$(a.currentTarget).data("metadata");a.altKey&&d.selected!==!0&&a.data.self.settings.editable===!0?(d.selected=!0,d.formCreated=!1,b.addClass("selected"),a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_SELECT,{tc:c,metadata:d})):a.data.self.mainContainer.trigger(a.data.self.Class.CLICK_TC,{tc:c}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickAtCuepoint tc:"+c)},onCuepointDragStop:function(a){var b=$(a.currentTarget),c=parseFloat((a.data.self.tcout-a.data.self.tcin)*b.position().left/a.data.self.mainContainer.first().width());$(a.currentTarget).data("metadata").tc=Math.max(0,c),$(a.currentTarget).data("metadata").tcin=Math.max(0,c),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.DATA_CHANGE,{id:a.data.self.getMetadataId()})},onSegmentDragStop:function(a){var b=$(a.currentTarget),c=parseFloat((a.data.self.tcout-a.data.self.tcin)*(b.parent().position().left+b.position().left)/a.data.self.mainContainer.first().width())+a.data.self.tcin;$(a.currentTarget).data("metadata").tc=Math.max(0,c),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.DATA_CHANGE,{id:a.data.self.getMetadataId()})},onShiftDragStop:function(a){var b=$(a.currentTarget),c=parseFloat((a.data.self.tcout-a.data.self.tcin)*(b.parent().position().left+b.position().left)/a.data.self.mainContainer.first().width())+a.data.self.tcin;a.data.self.localisationManager.shiftSpacialLocBlock(b.data("metadata"),c),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.DATA_CHANGE,{id:a.data.self.getMetadataId()})},onClickBindBtn:function(a){var b=$(a.currentTarget);b.hasClass(a.data.self.Class.STYLE_CLASSNAME_BIND_ON)?(b.removeClass(a.data.self.Class.STYLE_CLASSNAME_BIND_ON).addClass(a.data.self.Class.STYLE_CLASSNAME_BIND_OFF),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickBindBtn UNBIND:"+a.data.self.getMetadataId()),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.UNBIND,{id:a.data.self.getMetadataId()})):b.hasClass(a.data.self.Class.STYLE_CLASSNAME_BIND_OFF)&&(b.removeClass(a.data.self.Class.STYLE_CLASSNAME_BIND_OFF).addClass(a.data.self.Class.STYLE_CLASSNAME_BIND_ON),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onClickBindBtn BIND:"+a.data.self.getMetadataId()),a.data.self.mainContainer.trigger(a.data.self.Class.eventTypes.BIND,{id:a.data.self.getMetadataId()}))},onItemDrag:function(a,b){var c=$(a.target),d=c.parent(),e=b.position.left,f=c.data("metadata");if(f.hasOwnProperty("firstItem")&&f.firstItem===!0)e=Math.max(-d.first().offset().left+c.width(),b.position.left),b.position.left=Math.min(d.first().width(),e);else if(f.hasOwnProperty("lastItem")&&f.lastItem===!0){var g=d.first().parent().width()-d.first().offset().left+c.width();e=Math.max(0,e),b.position.left=Math.min(e,g)}else e=Math.max(0,e),b.position.left=Math.min(d.first().width(),e)}}),fr.ina.amalia.player.plugins.PluginBaseMultiBlocks.extend("fr.ina.amalia.player.plugins.TimelinePlugin",{eventTypes:{TIME_CHANGE:"fr.ina.amalia.player.plugins.timeline.TIME_CHANGE"},classCss:"ajs-plugin plugin-timeline",style:"",componentDefaultHeight:110},{timeCursor:null,timeProgressContainer:null,timeAxisComponentContainer:null,timeAxisComponent:null,componentsContainer:null,navBarContainer:null,zoomRangeLevels:null,zoomLevel:0,displayLinesNb:0,listOfComponents:[],tcin:0,tcout:0,zTcin:0,zTcout:0,timeAxeHeight:150,tooltipConfiguration:{position:{my:"center bottom-20",at:"center top",delay:3e3,using:function(a,b){$(this).css(a),$("<div>").addClass("ajs-arrow").addClass(b.vertical).addClass(b.horizontal).appendTo(this)}},content:function(){var a=$(this),b=a.attr("title");if(a.is("[data-src]")){var c=a.attr("data-src");return"<img class='image' alt='"+b+"' src='"+c+"' />"}return b=b.replace(/(?:\r\n|\r|\n)/g,"<br />"),"<p>"+b+"</p>"}},localStorageManager:null,loadDataStarted:!1,dataToDeal:null,settingsListOfComponents:[],editingMode:!1,metadataManager:null,initialize:function(){this.listOfMetadataTypes=[],this.notManagedMetadataIds=[],this.managedMetadataIds=[],this.listOfComponents=[],this.settings=$.extend({debug:this.settings.debug,timeFormat:"mms",internalPlugin:!1,listOfLines:{},displayLines:3,nbZoomLevel:3,zoomCoef:[.25,1/16,1/64,1/256],zoomProperty:"tclevel",timeaxe:!0,displayState:"",resizable:!1,viewZoomSync:!1,viewZoomSyncOffset:1,timecursor:!0,timeaxeExpandable:!1,editingMode:!1,thumbRootDirectory:this.settings.thumbRootDirectory,thumbDirectory:"",callback:"",callbackStyle:"",lineDisplayMode:fr.ina.amalia.player.plugins.PluginBaseMultiBlocks.METADATA_DISPLAY_TYPE.STATIC},this.settings.parameters||{}),this.tcin=this.mediaPlayer.getTcOffset(),this.tcout=this.mediaPlayer.getDuration()+this.mediaPlayer.getTcOffset(),this.zTcin=this.mediaPlayer.getTcOffset(),this.zTcout=this.mediaPlayer.getDuration()+this.mediaPlayer.getTcOffset(),this.metadataManager=this.mediaPlayer.getMetadataManager(),this.loadDataStarted=!1,this.editingMode=this.settings.editingMode,this.registerMetadataTypes(),this.registerPluginTypes(),this.settingsListOfComponents=$.extend(!0,[],this.settings.listOfLines),this.settings.timecursor===!0&&this.createTimeCursor(),this.settings.timeaxe===!0?(this.timeAxisComponentContainer=$("<div>",{"class":"timeaxis"}),this.createTimeProgressContainer()):this.timeProgressContainer=null,this.componentsContainer=$("<div>",{"class":"components",style:"height:"+(this.pluginContainer.height()-this.timeAxeHeight)+"px;"}),this.componentsContainer.sortable({handle:".sort-btn"}),this.zoomRangeLevels=this.getZoomRangeLevels(this.tcout,this.settings.nbZoomLevel,this.settings.zoomCoef),this.pluginContainer.append(this.timeAxisComponentContainer),this.pluginContainer.append(this.componentsContainer),this.createTimlineNavBar(this.settings.listOfLines.length),this.localStorageManager=new fr.ina.amalia.player.LocalStorageManager({}),this.pluginContainer.find(".plugin-btn").tooltip("option","disabled",this.localStorageManager.hasItem("help-tooltip")===!1?!1:this.localStorageManager.getItem("help-tooltip")),this.settings.resizable===!0&&this.pluginContainer.resizable({handles:"s",create:function(a){$(a.target).find("div.ui-resizable-handle").addClass("ajs-icon ajs-icon-ellipsis-h")},start:this.onResizeStart,resize:this.onResize}),this.resizeComponentsHeight(),null!==this.timeAxisComponent&&this.timeAxisComponent.setZoomTc(this.zTcin,this.zTcout),this.defineListeners()},registerMetadataTypes:function(){this.addManagedMetadataType(fr.ina.amalia.player.PluginBindingManager.dataTypes.DIGINPIX_TRANS),this.addManagedMetadataType(fr.ina.amalia.player.PluginBindingManager.dataTypes.TRANS)},registerPluginTypes:function(){this.registerPluginType(fr.ina.amalia.player.PluginBindingManager.pluginTypes.TIMELINE_CUEPOINT),this.registerPluginType(fr.ina.amalia.player.PluginBindingManager.pluginTypes.TIMELINE_SEGMENT),this.registerPluginType(fr.ina.amalia.player.PluginBindingManager.pluginTypes.TIMELINE_IMAGE),this.registerPluginType(fr.ina.amalia.player.PluginBindingManager.pluginTypes.TIMELINE_HISTOGRAM),this.registerPluginType(fr.ina.amalia.player.PluginBindingManager.pluginTypes.TIMELINE_VISUAL)},createTimeCursor:function(){this.timeCursor=$("<div>",{"class":"timeline-cursor"}),this.pluginContainer.append(this.timeCursor),null!==this.logger&&this.logger.trace(this.Class.fullName,"createTimeCursor")},createTimeProgressContainer:function(){this.timeProgressContainer=$("<div>",{"class":"timeline-progress-container"}),this.initializeTimeAxeComponent(),this.pluginContainer.append(this.timeProgressContainer),null!==this.logger&&this.logger.trace(this.Class.fullName,"createTimeProgressContainer")},createTimlineNavBar:function(a){this.navBarContainer=$("<div>",{"class":"module-nav-bar-container "});var b=$("<div>",{"class":"ajs-row toolsbar"}),c=$("<div>",{"class":"ajs-col-3 leftContainer"}),d=$("<div>",{"class":"ajs-col-6 middleContainer"}),e=$("<div>",{"class":"ajs-col-3 rightContainer"}),f=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_SCROLL_DOWN,"chevron-down scroll-btn");f.on("click",{self:this},this.onScrollDown);var g=this.createButton(fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_SCROLL_UP,"chevron-up scroll-btn");g.on("click",{self:this},this.onScrollUp),d.append(g),d.append(f),c.append($("<div>",{"class":"info",html:'<span class="count">'+a+"</span> "+fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_ELEMENTS})),e.append(this.createDropdownMenu()),b.append(c),b.append(d),b.append(e),this.navBarContainer.append(b),this.pluginContainer.append(this.navBarContainer),this.settings.lineDisplayMode<3&&this.createComponentsWithList(this.settingsListOfComponents);
},createButton:function(a,b){return $("<button>",{title:a,"class":"plugin-btn ajs-icon ajs-icon-"+b}).tooltip(this.tooltipConfiguration)},createDropdownMenu:function(){var a=$("<div>",{"class":"config-menu btn-group"}),b=$("<span>",{"class":"config-btn","data-toggle":"dropdown"}).on("click",function(a){$(a.currentTarget).parent().find(".config-menu-list").show()});b.append($("<span>",{"class":"ajs-icon ajs-icon-cog"})),a.append(b);var c=$("<ul>",{"class":"config-menu-list",role:"menu"}).hide().on("mouseleave",function(a){$(a.currentTarget).hide()}),d=$("<li>",{text:fr.ina.amalia.player.PlayerMessage.PLUGIN_TIMELINE_LABEL_SHOW_HIDE_TOOTIP}).on("click",{self:this},this.onChangeToogleStatus);return c.append(d),a.append(c),a},initializeTimeAxeComponent:function(){var a=$.extend({debug:this.settings.debug,container:this.timeAxisComponentContainer,duration:this.mediaPlayer.getDuration()+this.mediaPlayer.getTcOffset(),expand:this.settings.timeaxeExpandable,tcOffset:this.mediaPlayer.getTcOffset(),timeFormat:this.settings.timeFormat,framerate:this.settings.framerate,displayState:this.settings.displayState},this.settings.timeAxisSettings||{});try{this.timeAxisComponent=new fr.ina.amalia.player.plugins.timeline.TimeAxisComponent(a),this.timeAxisComponent.getContainer().on(fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.eventTypes.RANGE_CHANGE,{self:this},this.onRangeChange),this.timeAxisComponent.getContainer().on(fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.eventTypes.CHANGE_DISPLAY,{self:this},this.onDisplayStateChange),this.timeAxisComponent.getContainer().on(fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.eventTypes.CHANGE_TIMEAXE_DISPLAY_STATE,{self:this},this.onTimeaxeDisplayStateChange),this.timeAxisComponent.getContainer().on(fr.ina.amalia.player.plugins.timeline.TimeAxisComponent.eventTypes.CLICK_AT_TIC,{self:this},this.onClickTc)}catch(b){null!==this.logger&&this.logger.warn(b.stack),this.timeAxisComponent=null}},defineListeners:function(){var a=this.mediaPlayer.getMediaPlayer();a.on(fr.ina.amalia.player.PlayerEventType.TIME_CHANGE,{self:this},this.onTimeupdate),a.on(fr.ina.amalia.player.PlayerEventType.BEGIN_DATA_CHANGE,{self:this},this.onBeginDataChange),a.on(fr.ina.amalia.player.PlayerEventType.END_DATA_CHANGE,{self:this},this.onEndDataChange),a.on(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{self:this},this.onDataChange),a.on(fr.ina.amalia.player.PlayerEventType.ZOOM_RANGE_CHANGE,{self:this},this.onZoomRangeChange),a.on(fr.ina.amalia.player.PlayerEventType.SELECTED_METADATA_CHANGE,{self:this},this.onSelectedMetadataChange),this.pluginContainer.on(fr.ina.amalia.player.plugins.timeline.CuepointsComponent.eventTypes.DATA_CHANGE,{self:this},this.onCuepointDataChange),this.pluginContainer.on(fr.ina.amalia.player.plugins.timeline.SegmentsComponent.eventTypes.DATA_CHANGE,{self:this},this.onSegmentDataChange),this.pluginContainer.on(fr.ina.amalia.player.plugins.components.FocusComponent.eventTypes.ZOOM_ZONE_CHANGE,{self:this},this.onZoomZoneChangeWithFocusComponent),this.pluginContainer.on(fr.ina.amalia.player.plugins.timeline.BaseComponent.CLICK_SELECT,{self:this},this.onSelectItem),this.pluginContainer.on(fr.ina.amalia.player.plugins.timeline.VisualComponent.eventTypes.DATA_CHANGE,{self:this},this.onVisualComponentDataChange),this.pluginContainer.on(fr.ina.amalia.player.plugins.timeline.VisualComponent.eventTypes.BIND,{self:this},this.onVisualComponentBindMetadata),this.pluginContainer.on(fr.ina.amalia.player.plugins.timeline.VisualComponent.eventTypes.UNBIND,{self:this},this.onVisualComponentUnBindMetadata),null!==this.logger&&this.logger.trace(this.Class.fullName,"definePlayerListeners")},updateZoomChange:function(a,b){(this.zTcin!==a||this.zTcout!==b)&&(this.zTcin=Math.max(0,parseFloat(a)),this.zTcout=Math.min(this.mediaPlayer.getDuration()+this.mediaPlayer.getTcOffset(),parseFloat(b)),this.mediaPlayer.setZoomTc(this.zTcin,this.zTcout,this.eventTag),null!==this.timeAxisComponent&&this.timeAxisComponent.setZoomTc(this.zTcin,this.zTcout),this.updateRange(this.zTcin,this.zTcout),this.settings.timecursor===!0&&this.updateTimelinePos(parseFloat(this.mediaPlayer.getCurrentTime())))},updateRange:function(a,b){this.tcin=a,this.tcout=b,this.zoomLevel=this.getZoomRangeLevel(this.tcin,this.tcout),this.updateAllBlocks()},updateTimelinePos:function(a){var b=parseFloat(a),c=this.tcout-this.tcin,d=100*(b-this.tcin)/c;a>this.tcin&&a<this.tcout?(this.timeCursor.show(),this.timeCursor.data("tc",a),this.timeCursor.css("left",d+"%"),null!==this.timeProgressContainer&&(this.timeProgressContainer.show(),this.timeProgressContainer.data("tc",a),this.timeProgressContainer.css("right",100-d+"%"))):a>this.tcin?(this.timeCursor.hide(),null!==this.timeProgressContainer&&this.timeProgressContainer.css("right","0%")):(this.timeCursor.hide(),null!==this.timeProgressContainer&&this.timeProgressContainer.hide())},getZoomRangeLevel:function(a,b){for(var c=b-a,d=0;d<this.zoomRangeLevels.length;d++)if(c>this.zoomRangeLevels[d].start&&c<this.zoomRangeLevels[d].end)return this.zoomRangeLevels[d].level;return 0},getZoomRangeLevels:function(a,b,c){for(var d=[],e=null,f=0;b>f;f++)e={level:f,start:b-1>f?c[f]*a:0,end:0===f?a:c[f-1]*a},e.tc=e.end-e.start,d.push(e);return d},createComponent:function(container,settings){var componentSettings=$.extend({debug:this.settings.debug,container:container,duration:this.mediaPlayer.getDuration()+this.mediaPlayer.getTcOffset(),tcOffset:this.mediaPlayer.getTcOffset(),timeFormat:this.settings.timeFormat,framerate:this.settings.framerate,displayState:this.settings.displayState,callback:this.settings.callback,callbackStyle:this.settings.callbackStyle,thumbDirectory:this.settings.thumbRootDirectory+this.settings.thumbDirectory},settings||{}),component=null;try{component=componentSettings.hasOwnProperty("className")===!0?eval("new "+componentSettings.className+"(componentSettings)"):eval("new "+this.getComponentType(settings.type)+"(componentSettings)")}catch(error){null!==this.logger&&this.logger.warn(error.stack)}return component},getComponentType:function(a){var b="";switch(a){case"image":b="fr.ina.amalia.player.plugins.timeline.ImagesComponent";break;case"segment":b="fr.ina.amalia.player.plugins.timeline.SegmentsComponent";break;case"histogram":b="fr.ina.amalia.player.plugins.timeline.HistogramComponent";break;case"visual":b="fr.ina.amalia.player.plugins.timeline.VisualComponent";break;default:b="fr.ina.amalia.player.plugins.timeline.CuepointsComponent"}return b},getNewLineConf:function(a,b,c){return b=b.split("_")[1],{title:a,metadataId:a,type:b,pointNav:!0,icon:c,editable:this.editingMode,timeFormat:this.settings.timeFormat,framerate:this.settings.framerate}},createComponentsWithList:function(a){for(var b=null,c=null,d=0;d<a.length;d++){var e=a[d];e.hasOwnProperty("title")===!0&&e.hasOwnProperty("type")===!0&&e.hasOwnProperty("metadataId")===!0?(b=$("<div>",{"class":"component"}),this.componentsContainer.append(b),c=this.createComponent(b,e),null!==c&&(c.setZoomProperty(this.settings.zoomProperty),c.setMetadataId(e.metadataId),c.setZoomLevel(this.zoomLevel),c.setTcin(this.tcin),c.setTcout(this.tcout),c.setZoomTc(this.zTcin,this.zTcout),b.attr("data-metadata-id",e.metadataId),this.bindMetadataId(e.metadataId),this.listOfComponents.push(c),c.getContainer().on(fr.ina.amalia.player.plugins.timeline.BaseComponent.CLICK_TC,{self:this},this.onClickTc),c.getContainer().on(fr.ina.amalia.player.plugins.timeline.BaseComponent.NAV_CLICK,{self:this,component:c},this.onClickNavControls))):null!==this.logger&&this.logger.warn("Error initializing the component.")}this.resizeComponentsHeight(),this.updateComponentsLineHeight(),this.componentsContainer.find(".component").on("click",{self:this},this.onSelectComponents)},deleteComponentsWithMetadataId:function(a){this.componentsContainer.find('.component[data-metadata-id="'+a+'"]').remove(),this.unbindMetadataId(a)},updateAllBlocks:function(){for(var a=null,b=0;b<this.listOfComponents.length;b++){var c=this.listOfComponents[b];c.setZoomLevel(this.zoomLevel),c.setTcin(this.tcin),c.setTcout(this.tcout),c.setZoomTc(this.zTcin,this.zTcout),"function"==typeof c.removeItems&&"function"==typeof c.addItems&&"function"==typeof c.getMetadataId&&(c.removeItems(),a=this.mediaPlayer.getMetadataById(c.getMetadataId()),"undefined"!=typeof a&&null!==a&&a.hasOwnProperty("length")&&a.length>0&&c.addItems(a))}},updateBlock:function(a,b){for(var c=0;c<this.listOfComponents.length;c++){var d=this.listOfComponents[c];if(d.getMetadataId()===a&&"function"==typeof d.removeItems&&"function"==typeof d.addItems&&"function"==typeof d.getMetadataId){d.removeItems();var e=this.mediaPlayer.getMetadataById(d.getMetadataId());if(this.settings.lineDisplayMode>1){var f=this.mediaPlayer.getBlockMetadata(a.toString());d.setTitle(f.label),f.hasOwnProperty("viewControl")&&null!==f.viewControl&&(d.setShape(f.viewControl.hasOwnProperty("shape")?f.viewControl.shape:""),d.setColor(f.viewControl.hasOwnProperty("color")?f.viewControl.color:"")),"replace-all"===b&&"function"==typeof d.setHistogramIsCreated&&d.setHistogramIsCreated(!1)}"undefined"!=typeof e&&null!==e&&e.hasOwnProperty("length")&&e.length>0&&d.addItems(e)}}},updateBlocks:function(a){for(var b=0;b<a.length;b++)if(this.settings.lineDisplayMode>1&&this.isManagedMetadataId(a[b])===!1){var c=this.mediaPlayer.getBlockMetadata(a[b]),d=null!==c&&c.hasOwnProperty("type")?c.type:"",e=this.bindingManager.getLinetypeWithDataType(d);if(this.bindingManager.isManagedDataType(this.uuid,d)===!0&&null!==e){var f=null!==c&&c.hasOwnProperty("shape")&&""!==c.shape?c.shape:"circle";this.createComponentsWithList([this.getNewLineConf(a[b],e,f)])}this.updateBlock(a[b])}else this.updateBlock(a[b]);this.updateRange(this.tcin,this.tcout)},updateComponentsLineHeight:function(){var a=this.pluginContainer,b=parseFloat(a.find(".timeaxis").height()+a.find(".module-nav-bar-container").height()),c=2*a.find(".component").length,d=$(a).find(".component").first().height(),e=this.settings.displayLines;a.find(".components").first().css("height",d*e+c),a.css("height",d*e+c+b),a.find(".module-nav-bar-container .info span.count").text(a.find(".component").length)},resizeComponentsHeight:function(){var a=parseFloat(this.pluginContainer.find(".timeaxis").height()+this.pluginContainer.find(".module-nav-bar-container").height()),b=parseFloat(fr.ina.amalia.player.plugins.TimelinePlugin.componentDefaultHeight),c=2;this.displayLinesNb="number"==typeof this.settings.displayLines?this.settings.displayLines:this.settings.listOfLines.length,this.displayLinesNb>this.settings.listOfLines.length&&(this.displayLinesNb=this.settings.listOfLines.length),c=this.displayLinesNb*c;var d=this.displayLinesNb*b+this.navBarContainer.height();this.settings.timeaxe?this.pluginContainer.css("height",d+this.timeAxeHeight+"px"):this.pluginContainer.css("height",d+"px"),this.componentsContainer.css("height",this.pluginContainer.height()-a+"px");var e=this.componentsContainer.height()+c>=this.componentsContainer.get(0).scrollHeight;this.navBarContainer.find(".scroll-btn").toggle(!e),e||this.componentsContainer.on("mousewheel DOMMouseScroll",{self:this},this.onComponentsMousewheel)},nextItem:function(){for(var a=null,b=0;b<this.listOfComponents.length;b++){var c=this.listOfComponents[b].mainContainer;c.hasClass("activated")&&(a=this.listOfComponents[b])}if(null!==a){var d=a.getNextItem(this.mediaPlayer.getCurrentTime());this.mediaPlayer.pause(),null!==d&&this.mediaPlayer.setCurrentTime(d)}},prevItem:function(){for(var a=null,b=0;b<this.listOfComponents.length;b++){var c=this.listOfComponents[b].mainContainer;c.hasClass("activated")&&(a=this.listOfComponents[b])}if(null!==a){var d=a.getPrevItem(this.mediaPlayer.getCurrentTime());this.mediaPlayer.pause(),null!==d&&this.mediaPlayer.setCurrentTime(d)}},onRangeChange:function(a,b){a.data.self.updateZoomChange(parseFloat(b.tcin),parseFloat(b.tcout)),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onRangeChange Tcin:"+b.tcin+" Tcout"+b.tcout)},onDisplayStateChange:function(a){for(var b=0;b<a.data.self.listOfComponents.length;b++){var c=a.data.self.listOfComponents[b];"function"==typeof c.changeDisplayState&&c.changeDisplayState()}a.data.self.settings.displayLines===!1&&a.data.self.updateComponentsLineHeight()},onTimeaxeDisplayStateChange:function(a,b){if(null!==a.data.self.timeProgressContainer&&(b.state===!0?(a.data.self.timeProgressContainer.css("height","102px"),a.data.self.timeProgressContainer.addClass("max").removeClass("min")):(a.data.self.timeProgressContainer.css("height","2px"),a.data.self.timeProgressContainer.addClass("min").removeClass("max"))),a.data.self.settings.displayLines===!1)a.data.self.updateComponentsLineHeight();else{var c=a.data.self.pluginContainer,d=a.data.self.settings.displayLines,e=parseFloat(c.find(".timeaxis").height()+c.find(".module-nav-bar-container").height()),f=2*d,g=$(c).find(".component").first().height(),h=g*d+f;c.find(".components").first().css("height",h),c.css("height",h+e)}},onClickTc:function(a,b){b.hasOwnProperty("tc")===!0&&a.data.self.mediaPlayer.setCurrentTime(parseFloat(b.tc))},onTimeupdate:function(a,b){if(a.data.self.settings.timecursor===!0&&a.data.self.updateTimelinePos(parseFloat(b.currentTime)),a.data.self.pluginContainer.trigger(fr.ina.amalia.player.plugins.TimelinePlugin.eventTypes.TIME_CHANGE,{currentTime:parseFloat(b.currentTime)}),a.data.self.settings.viewZoomSync===!0&&parseFloat(b.currentTime)>a.data.self.zTcout-a.data.self.settings.viewZoomSyncOffset){var c=a.data.self.zTcout-a.data.self.zTcin,d=Math.min(a.data.self.mediaPlayer.getDuration()+this.mediaPlayer.getTcOffset(),a.data.self.zTcout+c),e=Math.max(0,d-c);a.data.self.updateZoomChange(e,d)}},onBeginDataChange:function(a){a.data.self.loadDataStarted=!0,a.data.self.dataToDeal=[],null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onBeginDataChange")},onDataChange:function(a,b){if(a.data.self.loadDataStarted===!1)if(a.data.self.editingMode){if(b.hasOwnProperty("action")&&"deleteBlock"===b.action)a.data.self.deleteComponentsWithMetadataId(b.id);else if(a.data.self.isManagedMetadataId(b.id))a.data.self.updateBlock(b.id,b.action);else if(a.data.self.settings.lineDisplayMode>1){var c=a.data.self.mediaPlayer.getBlockMetadata(b.id),d=null!==c&&c.hasOwnProperty("type")?c.type:"",e=a.data.self.bindingManager.getLinetypeWithDataType(d),f=null!==c&&c.hasOwnProperty("shape")&&""!==c.shape?c.shape:"circle";a.data.self.bindingManager.isManagedDataType(a.data.self.uuid,d)===!0&&null!==e&&(a.data.self.createComponentsWithList([a.data.self.getNewLineConf(b.id,e,f)]),a.data.self.updateBlock(b.id))}}else a.data.self.isManagedMetadataId(b.id)&&a.data.self.updateBlock(b.id,b.action);else null!==a.data.self.dataToDeal&&a.data.self.settings.lineDisplayMode>1&&$.inArray(b.id,a.data.self.dataToDeal)<0&&a.data.self.dataToDeal.push(b.id)},onEndDataChange:function(a){a.data.self.loadDataStarted=!1,a.data.self.updateBlocks(a.data.self.dataToDeal),a.data.self.dataToDeal=[],a.data.self.settings.displayLines===!1&&a.data.self.updateComponentsLineHeight(),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"EndDataChange")},onZoomRangeChange:function(a,b){b.eventTag!==a.data.self.eventTag&&(Math.ceil(a.data.self.zTcin)!==Math.ceil(b.zTcin)||Math.ceil(a.data.self.zTcout)!==Math.ceil(b.zTcout))&&(a.data.self.updateZoomChange(b.zTcin,b.zTcout),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onZoomRangeChange zTcin:"+b.zTcin+" zTcout"+b.zTcout))},onSelectedMetadataChange:function(a,b){if(a.data.self.componentsContainer.find(".component").removeClass("activated"),null!==b.metadataId){a.data.self.componentsContainer.find('.component[data-metadata-id="'+b.metadataId+'"]').addClass("activated");var c=a.data.self.componentsContainer.find('.component[data-metadata-id="'+b.metadataId+'"]:first').position(),d=a.data.self.componentsContainer.get(0).scrollTop;"object"==typeof c&&c.hasOwnProperty("top")&&(d=Math.min(d,a.data.self.componentsContainer.get(0).scrollHeight),a.data.self.componentsContainer.stop().animate({scrollTop:d+c.top},500,"easeInOutExpo"))}},onCuepointDataChange:function(a,b){a.data.self.mediaPlayer.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:b.id})},onSegmentDataChange:function(a,b){a.data.self.mediaPlayer.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:b.id})},onVisualComponentDataChange:function(a,b){a.data.self.mediaPlayer.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.DATA_CHANGE,{id:b.id})},onSelectComponents:function(a){var b=$(a.currentTarget).attr("data-metadata-id");a.data.self.mediaPlayer.setSelectedMetadataId(b),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onSelectComponents  : "+b)},onScrollUp:function(a){var b=a.data.self.componentsContainer.find(".component").height(),c=a.data.self.componentsContainer.get(0).scrollTop-b;c=Math.min(c,a.data.self.componentsContainer.get(0).scrollHeight),a.data.self.componentsContainer.stop().animate({scrollTop:c},500,"easeInOutExpo")},onScrollDown:function(a){var b=a.data.self.componentsContainer.find(".component").height(),c=a.data.self.componentsContainer.get(0).scrollTop+b;c=Math.min(c,a.data.self.componentsContainer.get(0).scrollHeight),a.data.self.componentsContainer.stop().animate({scrollTop:c},500,"easeInOutExpo")},onComponentsMousewheel:function(a){a.preventDefault();var b=Math.max(-1,Math.min(1,a.originalEvent.wheelDelta||-a.originalEvent.detail));if("number"==typeof b){var c=a.data.self.componentsContainer.get(0).scrollTop-10*b;c=Math.min(c,a.data.self.componentsContainer.get(0).scrollHeight),a.data.self.componentsContainer.get(0).scrollTop=c}},onSelectItem:function(a,b){var c=$(a.target).attr("data-metadata-id");a.data.self.mediaPlayer.getSelectedMetadataId()!==c&&a.data.self.mediaPlayer.setSelectedMetadataId(c),a.data.self.mediaPlayer.addSelectedItem(b.metadata)},onZoomZoneChangeWithFocusComponent:function(a,b){(Math.ceil(a.data.self.zTcin)!==Math.ceil(b.zTcin)||Math.ceil(a.data.self.zTcout)!==Math.ceil(b.zTcout))&&(a.data.self.updateZoomChange(b.zTcin,b.zTcout),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onZoomZoneChangeWithFocusComponent zTcin:"+b.zTcin+" zTcout"+b.zTcout))},onResizeStart:function(a,b){var c=b.element,d=$(c).find(".component").first().height(),e=2*$(c).find(".component").length,f=parseFloat($(c).find(".timeaxis").height()+$(c).find(".module-nav-bar-container").height());c.resizable("option","minHeight",d+f),c.resizable("option","maxHeight",d*$(c).find(".component").length-e+f)},onResize:function(a,b){var c=b.element,d=parseFloat($(c).find(".timeaxis").height()+$(c).find(".module-nav-bar-container").height());$(c).find(".components").first().css("height",b.size.height-d)},onVisualComponentBindMetadata:function(a,b){a.data.self.mediaPlayer.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.BIND_METADATA,{id:b.id}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onVisualComponentBindMetadata  : "+b.id)},onVisualComponentUnBindMetadata:function(a,b){a.data.self.mediaPlayer.getMediaPlayer().trigger(fr.ina.amalia.player.PlayerEventType.UNBIND_METADATA,{id:b.id}),null!==a.data.self.logger&&a.data.self.logger.trace(a.data.self.Class.fullName,"onVisualComponentUnBindMetadata  : "+b.id)},onClickNavControls:function(a,b){if(b.hasOwnProperty("type")===!0){var c="next"===b.type?a.data.component.getNextItem(a.data.self.mediaPlayer.getCurrentTime()):a.data.component.getPrevItem(a.data.self.mediaPlayer.getCurrentTime());a.data.self.mediaPlayer.pause(),null!==c&&a.data.self.mediaPlayer.setCurrentTime(c)}}});